#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 455
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 174
#define ALIAS_COUNT 0
#define TOKEN_COUNT 98
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 19
#define PRODUCTION_ID_COUNT 50

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_DOT = 2,
  anon_sym_enum = 3,
  anon_sym_COMMA = 4,
  anon_sym_end = 5,
  anon_sym_global = 6,
  anon_sym_config = 7,
  anon_sym_statistic = 8,
  anon_sym_COLON = 9,
  anon_sym_EQ = 10,
  anon_sym_node = 11,
  sym_node_annotation = 12,
  anon_sym_edge = 13,
  sym_edge_annotation = 14,
  anon_sym_distribution = 15,
  anon_sym_discrete = 16,
  anon_sym_p = 17,
  anon_sym_v = 18,
  anon_sym_normal = 19,
  anon_sym_mean = 20,
  anon_sym_std = 21,
  anon_sym_min = 22,
  anon_sym_max = 23,
  anon_sym_uniform = 24,
  anon_sym_low = 25,
  anon_sym_high = 26,
  anon_sym_contagion = 27,
  aux_sym_contagion_state_type_token1 = 28,
  anon_sym_susceptibility = 29,
  anon_sym_infectivity = 30,
  anon_sym_transmissibility = 31,
  anon_sym_enabled = 32,
  anon_sym_transition = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_dwell = 35,
  anon_sym_transmission = 36,
  anon_sym_EQ_GT = 37,
  anon_sym_nodeset = 38,
  anon_sym_edgeset = 39,
  anon_sym_def = 40,
  anon_sym_LPAREN = 41,
  anon_sym_RPAREN = 42,
  anon_sym_LBRACK = 43,
  anon_sym_RBRACK = 44,
  anon_sym_LBRACE = 45,
  anon_sym_RBRACE = 46,
  anon_sym___test = 47,
  anon_sym_statement = 48,
  anon_sym_var = 49,
  anon_sym_pass = 50,
  anon_sym_return = 51,
  anon_sym_if = 52,
  anon_sym_elif = 53,
  anon_sym_else = 54,
  anon_sym_switch = 55,
  anon_sym_case = 56,
  anon_sym_default = 57,
  anon_sym_while = 58,
  anon_sym_STAR_EQ = 59,
  anon_sym_SLASH_EQ = 60,
  anon_sym_PERCENT_EQ = 61,
  anon_sym_PLUS_EQ = 62,
  anon_sym_DASH_EQ = 63,
  anon_sym_select = 64,
  anon_sym_sample = 65,
  anon_sym_ABSOLUTE = 66,
  anon_sym_RELATIVE = 67,
  anon_sym_apply = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_reduce = 70,
  anon_sym_PLUS = 71,
  anon_sym_STAR = 72,
  anon_sym_print = 73,
  anon_sym_expression = 74,
  anon_sym_not = 75,
  anon_sym_DASH = 76,
  anon_sym_SLASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_or = 79,
  anon_sym_and = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_BANG_EQ = 82,
  anon_sym_GT = 83,
  anon_sym_GT_EQ = 84,
  anon_sym_LT_EQ = 85,
  anon_sym_LT = 86,
  sym_comment = 87,
  sym_template_block = 88,
  sym_template_variable = 89,
  sym_integer = 90,
  sym_float = 91,
  anon_sym_True = 92,
  anon_sym_False = 93,
  sym_string = 94,
  sym__whitespace = 95,
  anon_sym_LF = 96,
  anon_sym_SEMI = 97,
  sym_source_file = 98,
  sym_reference = 99,
  sym_enum = 100,
  sym_global = 101,
  sym_node = 102,
  sym_node_field = 103,
  sym_edge = 104,
  sym_edge_field = 105,
  sym_distributions = 106,
  sym__distribution = 107,
  sym_discrete_dist = 108,
  sym_discrete_pv = 109,
  sym_normal_dist = 110,
  sym_uniform_dist = 111,
  sym_contagion = 112,
  sym_contagion_state_type = 113,
  sym_contagion_function = 114,
  sym_transitions = 115,
  sym_transition = 116,
  sym_transmissions = 117,
  sym_transmission = 118,
  sym_nodeset = 119,
  sym_edgeset = 120,
  sym_function = 121,
  sym_function_params = 122,
  sym_function_param = 123,
  sym_function_body = 124,
  sym_inline_expression_function = 125,
  sym_inline_update_function = 126,
  sym_test_statement = 127,
  sym__statement = 128,
  sym_variable = 129,
  sym_pass_statement = 130,
  sym_return_statement = 131,
  sym_if_statement = 132,
  sym_elif_section = 133,
  sym_else_section = 134,
  sym_switch_statement = 135,
  sym_case_section = 136,
  sym_default_section = 137,
  sym_while_loop = 138,
  sym_call_statement = 139,
  sym_update_statement = 140,
  sym_select_statement = 141,
  sym_sample_statement = 142,
  sym_apply_statement = 143,
  sym_reduce_statement = 144,
  sym_print_statement = 145,
  sym_test_expression = 146,
  sym__expression = 147,
  sym_unary_expression = 148,
  sym_binary_expression = 149,
  sym_parenthesized_expression = 150,
  sym_function_call = 151,
  sym_number = 152,
  sym_boolean = 153,
  sym__terminator = 154,
  aux_sym_source_file_repeat1 = 155,
  aux_sym_reference_repeat1 = 156,
  aux_sym_enum_repeat1 = 157,
  aux_sym_node_repeat1 = 158,
  aux_sym_node_field_repeat1 = 159,
  aux_sym_edge_repeat1 = 160,
  aux_sym_edge_field_repeat1 = 161,
  aux_sym_distributions_repeat1 = 162,
  aux_sym_discrete_dist_repeat1 = 163,
  aux_sym_contagion_repeat1 = 164,
  aux_sym_transitions_repeat1 = 165,
  aux_sym_transmissions_repeat1 = 166,
  aux_sym_function_params_repeat1 = 167,
  aux_sym_function_body_repeat1 = 168,
  aux_sym_inline_update_function_repeat1 = 169,
  aux_sym_if_statement_repeat1 = 170,
  aux_sym_switch_statement_repeat1 = 171,
  aux_sym_print_statement_repeat1 = 172,
  aux_sym_function_call_repeat1 = 173,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_enum] = "enum",
  [anon_sym_COMMA] = ",",
  [anon_sym_end] = "end",
  [anon_sym_global] = "global",
  [anon_sym_config] = "config",
  [anon_sym_statistic] = "statistic",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_node] = "node",
  [sym_node_annotation] = "node_annotation",
  [anon_sym_edge] = "edge",
  [sym_edge_annotation] = "edge_annotation",
  [anon_sym_distribution] = "distribution",
  [anon_sym_discrete] = "discrete",
  [anon_sym_p] = "p",
  [anon_sym_v] = "v",
  [anon_sym_normal] = "normal",
  [anon_sym_mean] = "mean",
  [anon_sym_std] = "std",
  [anon_sym_min] = "min",
  [anon_sym_max] = "max",
  [anon_sym_uniform] = "uniform",
  [anon_sym_low] = "low",
  [anon_sym_high] = "high",
  [anon_sym_contagion] = "contagion",
  [aux_sym_contagion_state_type_token1] = "state type",
  [anon_sym_susceptibility] = "susceptibility",
  [anon_sym_infectivity] = "infectivity",
  [anon_sym_transmissibility] = "transmissibility",
  [anon_sym_enabled] = "enabled",
  [anon_sym_transition] = "transition",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_dwell] = "dwell",
  [anon_sym_transmission] = "transmission",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_nodeset] = "nodeset",
  [anon_sym_edgeset] = "edgeset",
  [anon_sym_def] = "def",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym___test] = "__test",
  [anon_sym_statement] = "statement",
  [anon_sym_var] = "var",
  [anon_sym_pass] = "pass",
  [anon_sym_return] = "return",
  [anon_sym_if] = "if",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_select] = "select",
  [anon_sym_sample] = "sample",
  [anon_sym_ABSOLUTE] = "ABSOLUTE",
  [anon_sym_RELATIVE] = "RELATIVE",
  [anon_sym_apply] = "apply",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_reduce] = "reduce",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_expression] = "expression",
  [anon_sym_not] = "not",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [sym_comment] = "comment",
  [sym_template_block] = "template_block",
  [sym_template_variable] = "template_variable",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_True] = "True",
  [anon_sym_False] = "False",
  [sym_string] = "string",
  [sym__whitespace] = "_whitespace",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [sym_source_file] = "source_file",
  [sym_reference] = "reference",
  [sym_enum] = "enum",
  [sym_global] = "global",
  [sym_node] = "node",
  [sym_node_field] = "node_field",
  [sym_edge] = "edge",
  [sym_edge_field] = "edge_field",
  [sym_distributions] = "distributions",
  [sym__distribution] = "_distribution",
  [sym_discrete_dist] = "discrete_dist",
  [sym_discrete_pv] = "discrete_pv",
  [sym_normal_dist] = "normal_dist",
  [sym_uniform_dist] = "uniform_dist",
  [sym_contagion] = "contagion",
  [sym_contagion_state_type] = "contagion_state_type",
  [sym_contagion_function] = "contagion_function",
  [sym_transitions] = "transitions",
  [sym_transition] = "transition",
  [sym_transmissions] = "transmissions",
  [sym_transmission] = "transmission",
  [sym_nodeset] = "nodeset",
  [sym_edgeset] = "edgeset",
  [sym_function] = "function",
  [sym_function_params] = "function_params",
  [sym_function_param] = "function_param",
  [sym_function_body] = "function_body",
  [sym_inline_expression_function] = "inline_expression_function",
  [sym_inline_update_function] = "inline_update_function",
  [sym_test_statement] = "test_statement",
  [sym__statement] = "_statement",
  [sym_variable] = "variable",
  [sym_pass_statement] = "pass_statement",
  [sym_return_statement] = "return_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_section] = "elif_section",
  [sym_else_section] = "else_section",
  [sym_switch_statement] = "switch_statement",
  [sym_case_section] = "case_section",
  [sym_default_section] = "default_section",
  [sym_while_loop] = "while_loop",
  [sym_call_statement] = "call_statement",
  [sym_update_statement] = "update_statement",
  [sym_select_statement] = "select_statement",
  [sym_sample_statement] = "sample_statement",
  [sym_apply_statement] = "apply_statement",
  [sym_reduce_statement] = "reduce_statement",
  [sym_print_statement] = "print_statement",
  [sym_test_expression] = "test_expression",
  [sym__expression] = "_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_function_call] = "function_call",
  [sym_number] = "number",
  [sym_boolean] = "boolean",
  [sym__terminator] = "_terminator",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_reference_repeat1] = "reference_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_node_repeat1] = "node_repeat1",
  [aux_sym_node_field_repeat1] = "node_field_repeat1",
  [aux_sym_edge_repeat1] = "edge_repeat1",
  [aux_sym_edge_field_repeat1] = "edge_field_repeat1",
  [aux_sym_distributions_repeat1] = "distributions_repeat1",
  [aux_sym_discrete_dist_repeat1] = "discrete_dist_repeat1",
  [aux_sym_contagion_repeat1] = "contagion_repeat1",
  [aux_sym_transitions_repeat1] = "transitions_repeat1",
  [aux_sym_transmissions_repeat1] = "transmissions_repeat1",
  [aux_sym_function_params_repeat1] = "function_params_repeat1",
  [aux_sym_function_body_repeat1] = "function_body_repeat1",
  [aux_sym_inline_update_function_repeat1] = "inline_update_function_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_function_call_repeat1] = "function_call_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_config] = anon_sym_config,
  [anon_sym_statistic] = anon_sym_statistic,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_node] = anon_sym_node,
  [sym_node_annotation] = sym_node_annotation,
  [anon_sym_edge] = anon_sym_edge,
  [sym_edge_annotation] = sym_edge_annotation,
  [anon_sym_distribution] = anon_sym_distribution,
  [anon_sym_discrete] = anon_sym_discrete,
  [anon_sym_p] = anon_sym_p,
  [anon_sym_v] = anon_sym_v,
  [anon_sym_normal] = anon_sym_normal,
  [anon_sym_mean] = anon_sym_mean,
  [anon_sym_std] = anon_sym_std,
  [anon_sym_min] = anon_sym_min,
  [anon_sym_max] = anon_sym_max,
  [anon_sym_uniform] = anon_sym_uniform,
  [anon_sym_low] = anon_sym_low,
  [anon_sym_high] = anon_sym_high,
  [anon_sym_contagion] = anon_sym_contagion,
  [aux_sym_contagion_state_type_token1] = aux_sym_contagion_state_type_token1,
  [anon_sym_susceptibility] = anon_sym_susceptibility,
  [anon_sym_infectivity] = anon_sym_infectivity,
  [anon_sym_transmissibility] = anon_sym_transmissibility,
  [anon_sym_enabled] = anon_sym_enabled,
  [anon_sym_transition] = anon_sym_transition,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_dwell] = anon_sym_dwell,
  [anon_sym_transmission] = anon_sym_transmission,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_nodeset] = anon_sym_nodeset,
  [anon_sym_edgeset] = anon_sym_edgeset,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym___test] = anon_sym___test,
  [anon_sym_statement] = anon_sym_statement,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_sample] = anon_sym_sample,
  [anon_sym_ABSOLUTE] = anon_sym_ABSOLUTE,
  [anon_sym_RELATIVE] = anon_sym_RELATIVE,
  [anon_sym_apply] = anon_sym_apply,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_reduce] = anon_sym_reduce,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_expression] = anon_sym_expression,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [sym_comment] = sym_comment,
  [sym_template_block] = sym_template_block,
  [sym_template_variable] = sym_template_variable,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_True] = anon_sym_True,
  [anon_sym_False] = anon_sym_False,
  [sym_string] = sym_string,
  [sym__whitespace] = sym__whitespace,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym_source_file] = sym_source_file,
  [sym_reference] = sym_reference,
  [sym_enum] = sym_enum,
  [sym_global] = sym_global,
  [sym_node] = sym_node,
  [sym_node_field] = sym_node_field,
  [sym_edge] = sym_edge,
  [sym_edge_field] = sym_edge_field,
  [sym_distributions] = sym_distributions,
  [sym__distribution] = sym__distribution,
  [sym_discrete_dist] = sym_discrete_dist,
  [sym_discrete_pv] = sym_discrete_pv,
  [sym_normal_dist] = sym_normal_dist,
  [sym_uniform_dist] = sym_uniform_dist,
  [sym_contagion] = sym_contagion,
  [sym_contagion_state_type] = sym_contagion_state_type,
  [sym_contagion_function] = sym_contagion_function,
  [sym_transitions] = sym_transitions,
  [sym_transition] = sym_transition,
  [sym_transmissions] = sym_transmissions,
  [sym_transmission] = sym_transmission,
  [sym_nodeset] = sym_nodeset,
  [sym_edgeset] = sym_edgeset,
  [sym_function] = sym_function,
  [sym_function_params] = sym_function_params,
  [sym_function_param] = sym_function_param,
  [sym_function_body] = sym_function_body,
  [sym_inline_expression_function] = sym_inline_expression_function,
  [sym_inline_update_function] = sym_inline_update_function,
  [sym_test_statement] = sym_test_statement,
  [sym__statement] = sym__statement,
  [sym_variable] = sym_variable,
  [sym_pass_statement] = sym_pass_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_section] = sym_elif_section,
  [sym_else_section] = sym_else_section,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_section] = sym_case_section,
  [sym_default_section] = sym_default_section,
  [sym_while_loop] = sym_while_loop,
  [sym_call_statement] = sym_call_statement,
  [sym_update_statement] = sym_update_statement,
  [sym_select_statement] = sym_select_statement,
  [sym_sample_statement] = sym_sample_statement,
  [sym_apply_statement] = sym_apply_statement,
  [sym_reduce_statement] = sym_reduce_statement,
  [sym_print_statement] = sym_print_statement,
  [sym_test_expression] = sym_test_expression,
  [sym__expression] = sym__expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_function_call] = sym_function_call,
  [sym_number] = sym_number,
  [sym_boolean] = sym_boolean,
  [sym__terminator] = sym__terminator,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_reference_repeat1] = aux_sym_reference_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_node_repeat1] = aux_sym_node_repeat1,
  [aux_sym_node_field_repeat1] = aux_sym_node_field_repeat1,
  [aux_sym_edge_repeat1] = aux_sym_edge_repeat1,
  [aux_sym_edge_field_repeat1] = aux_sym_edge_field_repeat1,
  [aux_sym_distributions_repeat1] = aux_sym_distributions_repeat1,
  [aux_sym_discrete_dist_repeat1] = aux_sym_discrete_dist_repeat1,
  [aux_sym_contagion_repeat1] = aux_sym_contagion_repeat1,
  [aux_sym_transitions_repeat1] = aux_sym_transitions_repeat1,
  [aux_sym_transmissions_repeat1] = aux_sym_transmissions_repeat1,
  [aux_sym_function_params_repeat1] = aux_sym_function_params_repeat1,
  [aux_sym_function_body_repeat1] = aux_sym_function_body_repeat1,
  [aux_sym_inline_update_function_repeat1] = aux_sym_inline_update_function_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_function_call_repeat1] = aux_sym_function_call_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_config] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_statistic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_node] = {
    .visible = true,
    .named = false,
  },
  [sym_node_annotation] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_edge] = {
    .visible = true,
    .named = false,
  },
  [sym_edge_annotation] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_distribution] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_discrete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_p] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_v] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_normal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_std] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_min] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_max] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uniform] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_low] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_high] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_contagion] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_contagion_state_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_susceptibility] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infectivity] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transmissibility] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enabled] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transition] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dwell] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transmission] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nodeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_edgeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___test] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_statement] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sample] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ABSOLUTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RELATIVE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_apply] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reduce] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_expression] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_block] = {
    .visible = true,
    .named = true,
  },
  [sym_template_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_True] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_False] = {
    .visible = true,
    .named = false,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__whitespace] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_global] = {
    .visible = true,
    .named = true,
  },
  [sym_node] = {
    .visible = true,
    .named = true,
  },
  [sym_node_field] = {
    .visible = true,
    .named = true,
  },
  [sym_edge] = {
    .visible = true,
    .named = true,
  },
  [sym_edge_field] = {
    .visible = true,
    .named = true,
  },
  [sym_distributions] = {
    .visible = true,
    .named = true,
  },
  [sym__distribution] = {
    .visible = false,
    .named = true,
  },
  [sym_discrete_dist] = {
    .visible = true,
    .named = true,
  },
  [sym_discrete_pv] = {
    .visible = true,
    .named = true,
  },
  [sym_normal_dist] = {
    .visible = true,
    .named = true,
  },
  [sym_uniform_dist] = {
    .visible = true,
    .named = true,
  },
  [sym_contagion] = {
    .visible = true,
    .named = true,
  },
  [sym_contagion_state_type] = {
    .visible = true,
    .named = true,
  },
  [sym_contagion_function] = {
    .visible = true,
    .named = true,
  },
  [sym_transitions] = {
    .visible = true,
    .named = true,
  },
  [sym_transition] = {
    .visible = true,
    .named = true,
  },
  [sym_transmissions] = {
    .visible = true,
    .named = true,
  },
  [sym_transmission] = {
    .visible = true,
    .named = true,
  },
  [sym_nodeset] = {
    .visible = true,
    .named = true,
  },
  [sym_edgeset] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_params] = {
    .visible = true,
    .named = true,
  },
  [sym_function_param] = {
    .visible = true,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_expression_function] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_update_function] = {
    .visible = true,
    .named = true,
  },
  [sym_test_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_section] = {
    .visible = true,
    .named = true,
  },
  [sym_else_section] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_section] = {
    .visible = true,
    .named = true,
  },
  [sym_default_section] = {
    .visible = true,
    .named = true,
  },
  [sym_while_loop] = {
    .visible = true,
    .named = true,
  },
  [sym_call_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_update_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_sample_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_apply_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reduce_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_test_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym__terminator] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_node_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_node_field_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_edge_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_edge_field_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_distributions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_discrete_dist_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_contagion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transmissions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inline_update_function_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_call_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_amount = 1,
  field_annotation = 2,
  field_arg = 3,
  field_argument = 4,
  field_body = 5,
  field_case = 6,
  field_category = 7,
  field_condition = 8,
  field_const = 9,
  field_contact = 10,
  field_default = 11,
  field_dwell = 12,
  field_elif = 13,
  field_else = 14,
  field_entry = 15,
  field_exit = 16,
  field_expression = 17,
  field_field = 18,
  field_function = 19,
  field_high = 20,
  field_init = 21,
  field_left = 22,
  field_low = 23,
  field_match = 24,
  field_max = 25,
  field_mean = 26,
  field_min = 27,
  field_name = 28,
  field_negative = 29,
  field_operator = 30,
  field_outvar = 31,
  field_p = 32,
  field_params = 33,
  field_parent = 34,
  field_pv = 35,
  field_right = 36,
  field_rtype = 37,
  field_set = 38,
  field_std = 39,
  field_stmt = 40,
  field_type = 41,
  field_v = 42,
  field_value = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_amount] = "amount",
  [field_annotation] = "annotation",
  [field_arg] = "arg",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_case] = "case",
  [field_category] = "category",
  [field_condition] = "condition",
  [field_const] = "const",
  [field_contact] = "contact",
  [field_default] = "default",
  [field_dwell] = "dwell",
  [field_elif] = "elif",
  [field_else] = "else",
  [field_entry] = "entry",
  [field_exit] = "exit",
  [field_expression] = "expression",
  [field_field] = "field",
  [field_function] = "function",
  [field_high] = "high",
  [field_init] = "init",
  [field_left] = "left",
  [field_low] = "low",
  [field_match] = "match",
  [field_max] = "max",
  [field_mean] = "mean",
  [field_min] = "min",
  [field_name] = "name",
  [field_negative] = "negative",
  [field_operator] = "operator",
  [field_outvar] = "outvar",
  [field_p] = "p",
  [field_params] = "params",
  [field_parent] = "parent",
  [field_pv] = "pv",
  [field_right] = "right",
  [field_rtype] = "rtype",
  [field_set] = "set",
  [field_std] = "std",
  [field_stmt] = "stmt",
  [field_type] = "type",
  [field_v] = "v",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 2},
  [5] = {.index = 6, .length = 2},
  [6] = {.index = 8, .length = 3},
  [7] = {.index = 11, .length = 2},
  [8] = {.index = 13, .length = 2},
  [9] = {.index = 15, .length = 1},
  [10] = {.index = 16, .length = 2},
  [11] = {.index = 18, .length = 2},
  [12] = {.index = 20, .length = 1},
  [13] = {.index = 21, .length = 1},
  [14] = {.index = 22, .length = 1},
  [15] = {.index = 23, .length = 3},
  [16] = {.index = 26, .length = 1},
  [17] = {.index = 27, .length = 1},
  [18] = {.index = 28, .length = 3},
  [19] = {.index = 31, .length = 3},
  [20] = {.index = 34, .length = 2},
  [21] = {.index = 36, .length = 4},
  [22] = {.index = 40, .length = 2},
  [23] = {.index = 42, .length = 3},
  [24] = {.index = 45, .length = 4},
  [25] = {.index = 49, .length = 2},
  [26] = {.index = 51, .length = 2},
  [27] = {.index = 53, .length = 1},
  [28] = {.index = 54, .length = 3},
  [29] = {.index = 57, .length = 3},
  [30] = {.index = 60, .length = 3},
  [31] = {.index = 63, .length = 3},
  [32] = {.index = 66, .length = 2},
  [33] = {.index = 68, .length = 3},
  [34] = {.index = 71, .length = 1},
  [35] = {.index = 72, .length = 4},
  [36] = {.index = 76, .length = 2},
  [37] = {.index = 78, .length = 2},
  [38] = {.index = 80, .length = 2},
  [39] = {.index = 82, .length = 3},
  [40] = {.index = 85, .length = 3},
  [41] = {.index = 88, .length = 3},
  [42] = {.index = 91, .length = 4},
  [43] = {.index = 95, .length = 4},
  [44] = {.index = 99, .length = 4},
  [45] = {.index = 103, .length = 4},
  [46] = {.index = 107, .length = 3},
  [47] = {.index = 110, .length = 4},
  [48] = {.index = 114, .length = 4},
  [49] = {.index = 118, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_field, 1},
  [2] =
    {field_name, 1},
    {field_name, 2},
  [4] =
    {field_const, 2},
    {field_name, 1},
  [6] =
    {field_body, 2},
    {field_name, 1},
  [8] =
    {field_const, 2},
    {field_const, 3},
    {field_name, 1},
  [11] =
    {field_name, 0},
    {field_type, 2},
  [13] =
    {field_name, 1},
    {field_pv, 2},
  [15] =
    {field_type, 1},
  [16] =
    {field_argument, 1},
    {field_operator, 0},
  [18] =
    {field_function, 1},
    {field_type, 0},
  [20] =
    {field_body, 1},
  [21] =
    {field_expression, 3},
  [22] =
    {field_value, 0},
  [23] =
    {field_annotation, 3},
    {field_name, 0},
    {field_type, 2},
  [26] =
    {field_expression, 1},
  [27] =
    {field_function, 0},
  [28] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [31] =
    {field_body, 4},
    {field_name, 1},
    {field_params, 2},
  [34] =
    {field_negative, 0},
    {field_value, 1},
  [36] =
    {field_category, 0},
    {field_default, 5},
    {field_name, 1},
    {field_type, 3},
  [40] =
    {field_arg, 2},
    {field_function, 0},
  [42] =
    {field_arg, 2},
    {field_arg, 3},
    {field_function, 0},
  [45] =
    {field_body, 6},
    {field_name, 1},
    {field_params, 2},
    {field_rtype, 4},
  [49] =
    {field_body, 3},
    {field_condition, 1},
  [51] =
    {field_case, 3},
    {field_condition, 1},
  [53] =
    {field_arg, 2},
  [54] =
    {field_contact, 0},
    {field_entry, 2},
    {field_exit, 4},
  [57] =
    {field_body, 3},
    {field_condition, 1},
    {field_else, 4},
  [60] =
    {field_body, 3},
    {field_condition, 1},
    {field_elif, 4},
  [63] =
    {field_case, 3},
    {field_condition, 1},
    {field_default, 4},
  [66] =
    {field_arg, 2},
    {field_arg, 3},
  [68] =
    {field_init, 5},
    {field_name, 1},
    {field_type, 3},
  [71] =
    {field_body, 2},
  [72] =
    {field_body, 3},
    {field_condition, 1},
    {field_elif, 4},
    {field_else, 5},
  [76] =
    {field_body, 3},
    {field_match, 1},
  [78] =
    {field_function, 4},
    {field_set, 2},
  [80] =
    {field_p, 2},
    {field_v, 6},
  [82] =
    {field_dwell, 6},
    {field_entry, 0},
    {field_exit, 2},
  [85] =
    {field_mean, 4},
    {field_name, 1},
    {field_std, 8},
  [88] =
    {field_high, 8},
    {field_low, 4},
    {field_name, 1},
  [91] =
    {field_expression, 8},
    {field_name, 1},
    {field_rtype, 5},
    {field_type, 3},
  [95] =
    {field_amount, 6},
    {field_parent, 4},
    {field_set, 2},
    {field_type, 8},
  [99] =
    {field_function, 6},
    {field_operator, 8},
    {field_outvar, 0},
    {field_set, 4},
  [103] =
    {field_dwell, 10},
    {field_entry, 0},
    {field_exit, 2},
    {field_p, 6},
  [107] =
    {field_name, 1},
    {field_stmt, 6},
    {field_type, 3},
  [110] =
    {field_mean, 4},
    {field_min, 12},
    {field_name, 1},
    {field_std, 8},
  [114] =
    {field_max, 12},
    {field_mean, 4},
    {field_name, 1},
    {field_std, 8},
  [118] =
    {field_max, 16},
    {field_mean, 4},
    {field_min, 12},
    {field_name, 1},
    {field_std, 8},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 3,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 23,
  [25] = 25,
  [26] = 26,
  [27] = 25,
  [28] = 26,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 31,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 36,
  [39] = 35,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 41,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 47,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 44,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 61,
  [74] = 74,
  [75] = 58,
  [76] = 76,
  [77] = 40,
  [78] = 78,
  [79] = 66,
  [80] = 63,
  [81] = 62,
  [82] = 56,
  [83] = 55,
  [84] = 53,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 67,
  [95] = 54,
  [96] = 96,
  [97] = 97,
  [98] = 52,
  [99] = 92,
  [100] = 25,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 87,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 26,
  [115] = 115,
  [116] = 86,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 113,
  [121] = 119,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 90,
  [126] = 93,
  [127] = 106,
  [128] = 78,
  [129] = 129,
  [130] = 130,
  [131] = 74,
  [132] = 72,
  [133] = 133,
  [134] = 51,
  [135] = 109,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 23,
  [143] = 71,
  [144] = 144,
  [145] = 145,
  [146] = 144,
  [147] = 70,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 31,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 162,
  [164] = 158,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 161,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 195,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 26,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 25,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 23,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 31,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 226,
  [240] = 240,
  [241] = 241,
  [242] = 233,
  [243] = 221,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 244,
  [256] = 256,
  [257] = 254,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 253,
  [264] = 264,
  [265] = 265,
  [266] = 261,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 269,
  [271] = 271,
  [272] = 246,
  [273] = 252,
  [274] = 264,
  [275] = 247,
  [276] = 245,
  [277] = 271,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 283,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 296,
  [311] = 311,
  [312] = 295,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 290,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 300,
  [324] = 311,
  [325] = 288,
  [326] = 326,
  [327] = 294,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 291,
  [333] = 333,
  [334] = 334,
  [335] = 285,
  [336] = 293,
  [337] = 286,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 322,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 334,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 375,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 369,
  [413] = 341,
  [414] = 375,
  [415] = 375,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 339,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 409,
  [425] = 376,
  [426] = 426,
  [427] = 358,
  [428] = 351,
  [429] = 429,
  [430] = 430,
  [431] = 402,
  [432] = 364,
  [433] = 433,
  [434] = 410,
  [435] = 368,
  [436] = 436,
  [437] = 437,
  [438] = 380,
  [439] = 379,
  [440] = 377,
  [441] = 441,
  [442] = 426,
  [443] = 443,
  [444] = 346,
  [445] = 443,
  [446] = 446,
  [447] = 447,
  [448] = 356,
  [449] = 350,
  [450] = 371,
  [451] = 429,
  [452] = 363,
  [453] = 387,
  [454] = 378,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(90);
      ADVANCE_MAP(
        '\n', 176,
        '!', 15,
        '"', 8,
        '#', 168,
        '%', 127,
        '(', 105,
        ')', 106,
        '*', 121,
        '+', 119,
        ',', 93,
        '-', 123,
        '.', 92,
        '/', 125,
        ':', 94,
        ';', 177,
        '<', 133,
        '=', 96,
        '>', 130,
        '[', 107,
        ']', 108,
        '_', 25,
        's', 134,
        't', 135,
        '{', 109,
        '}', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\n', 176,
        '!', 15,
        '#', 168,
        '%', 126,
        '(', 105,
        '*', 120,
        '+', 118,
        ',', 93,
        '-', 122,
        '.', 91,
        '/', 124,
        ';', 177,
        '<', 133,
        '=', 22,
        '>', 130,
        'n', 153,
        's', 139,
        '{', 11,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 176,
        '!', 15,
        '#', 168,
        '%', 126,
        '(', 105,
        '*', 120,
        '+', 118,
        ',', 93,
        '-', 122,
        '/', 124,
        ';', 177,
        '<', 133,
        '=', 22,
        '>', 130,
        '{', 11,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(176);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == ';') ADVANCE(177);
      if (lookahead == 's') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == '{') ADVANCE(11);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(176);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == ';') ADVANCE(177);
      if (lookahead == 'n') ADVANCE(53);
      if (lookahead == 's') ADVANCE(29);
      if (lookahead == '{') ADVANCE(11);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '"', 8,
        '#', 168,
        '(', 105,
        ')', 106,
        '+', 118,
        '-', 122,
        '.', 77,
        '=', 95,
        '[', 107,
        '{', 12,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(8);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(8);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(6);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(8);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(8);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '#', 168,
        '%', 16,
        '(', 105,
        ')', 106,
        '*', 17,
        '+', 18,
        ',', 93,
        '-', 20,
        '.', 91,
        '/', 21,
        ':', 94,
        '<', 14,
        '=', 97,
        ']', 108,
        's', 160,
        '{', 11,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '#', 168,
        '%', 16,
        '(', 105,
        '*', 17,
        '+', 18,
        '-', 19,
        '/', 21,
        '<', 14,
        '=', 95,
        '{', 11,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      END_STATE();
    case 11:
      if (lookahead == '%') ADVANCE(87);
      END_STATE();
    case 12:
      if (lookahead == '%') ADVANCE(87);
      if (lookahead == '{') ADVANCE(88);
      END_STATE();
    case 13:
      if (lookahead == '%') ADVANCE(70);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(117);
      END_STATE();
    case 15:
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 16:
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(116);
      if (lookahead == '>') ADVANCE(103);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(128);
      if (lookahead == '>') ADVANCE(104);
      END_STATE();
    case 24:
      if (lookahead == 'U') ADVANCE(86);
      if (lookahead == 'u') ADVANCE(82);
      if (lookahead == 'x') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(7);
      if (lookahead != 0) ADVANCE(8);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(58);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 't') ADVANCE(28);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(66);
      if (lookahead == 't') ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'c') ADVANCE(100);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(98);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 34:
      if (lookahead == 'd') ADVANCE(38);
      END_STATE();
    case 35:
      if (lookahead == 'd') ADVANCE(45);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 46:
      if (lookahead == 'g') ADVANCE(44);
      END_STATE();
    case 47:
      if (lookahead == 'i') ADVANCE(31);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 49:
      if (lookahead == 'k') ADVANCE(41);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(49);
      END_STATE();
    case 50:
      if (lookahead == 'k') ADVANCE(43);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(50);
      END_STATE();
    case 51:
      if (lookahead == 'n') ADVANCE(52);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(51);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 53:
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 54:
      if (lookahead == 'p') ADVANCE(37);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(36);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(67);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(60);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 65:
      if (lookahead == 'v') ADVANCE(39);
      END_STATE();
    case 66:
      if (lookahead == 'v') ADVANCE(40);
      END_STATE();
    case 67:
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 68:
      if (lookahead == 'y') ADVANCE(100);
      END_STATE();
    case 69:
      if (lookahead == 'y') ADVANCE(98);
      END_STATE();
    case 70:
      if (lookahead == '}') ADVANCE(169);
      END_STATE();
    case 71:
      if (lookahead == '}') ADVANCE(170);
      END_STATE();
    case 72:
      if (lookahead == '}') ADVANCE(71);
      if (lookahead != 0) ADVANCE(72);
      END_STATE();
    case 73:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(173);
      END_STATE();
    case 74:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(51);
      END_STATE();
    case 75:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(49);
      END_STATE();
    case 76:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(50);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(172);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(173);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(8);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(82);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 87:
      if (lookahead != 0 &&
          lookahead != '%') ADVANCE(13);
      END_STATE();
    case 88:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(72);
      END_STATE();
    case 89:
      if (eof) ADVANCE(90);
      ADVANCE_MAP(
        '!', 15,
        '#', 168,
        '%', 126,
        '(', 105,
        ')', 106,
        '*', 120,
        '+', 118,
        ',', 93,
        '-', 122,
        '.', 91,
        '/', 124,
        ':', 94,
        '<', 133,
        '=', 23,
        '>', 130,
        '[', 107,
        ']', 108,
        '_', 25,
        '{', 109,
        '}', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(175);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(172);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(128);
      if (lookahead == '>') ADVANCE(104);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(104);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_node_annotation);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_node_annotation);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_edge_annotation);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_edge_annotation);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym_contagion_state_type_token1);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(87);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym___test);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(116);
      if (lookahead == '>') ADVANCE(103);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(162);
      if (lookahead == 'o') ADVANCE(161);
      if (lookahead == 't') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(163);
      if (lookahead == 't') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == 'i') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'v') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'v') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_template_block);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_template_variable);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym__whitespace);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'F', 2,
        'R', 3,
        'T', 4,
        'a', 5,
        'c', 6,
        'd', 7,
        'e', 8,
        'g', 9,
        'h', 10,
        'i', 11,
        'l', 12,
        'm', 13,
        'n', 14,
        'o', 15,
        'p', 16,
        'r', 17,
        's', 18,
        't', 19,
        'u', 20,
        'v', 21,
        'w', 22,
      );
      END_STATE();
    case 1:
      if (lookahead == 'B') ADVANCE(23);
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 3:
      if (lookahead == 'E') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'r') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(27);
      if (lookahead == 'p') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      if (lookahead == 'w') ADVANCE(33);
      END_STATE();
    case 8:
      if (lookahead == 'd') ADVANCE(34);
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 'n') ADVANCE(36);
      if (lookahead == 'x') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(39);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(43);
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'i') ADVANCE(45);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 15:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_p);
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'e') ADVANCE(52);
      if (lookahead == 't') ADVANCE(53);
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'w') ADVANCE(55);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_v);
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'S') ADVANCE(60);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(61);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(62);
      END_STATE();
    case 26:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 27:
      if (lookahead == 'd') ADVANCE(64);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(65);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 31:
      if (lookahead == 'f') ADVANCE(68);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == 'g') ADVANCE(71);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(74);
      if (lookahead == 'd') ADVANCE(75);
      if (lookahead == 'u') ADVANCE(76);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'g') ADVANCE(79);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(80);
      END_STATE();
    case 42:
      if (lookahead == 'w') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 'x') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'd') ADVANCE(85);
      if (lookahead == 'r') ADVANCE(86);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 50:
      if (lookahead == 'd') ADVANCE(90);
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'm') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(94);
      if (lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(96);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(98);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 58:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(101);
      END_STATE();
    case 60:
      if (lookahead == 'O') ADVANCE(102);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 62:
      if (lookahead == 'A') ADVANCE(104);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(106);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 67:
      if (lookahead == 'f') ADVANCE(108);
      if (lookahead == 't') ADVANCE(109);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 72:
      if (lookahead == 'f') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 74:
      if (lookahead == 'b') ADVANCE(117);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 76:
      if (lookahead == 'm') ADVANCE(118);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(120);
      END_STATE();
    case 79:
      if (lookahead == 'h') ADVANCE(121);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_low);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_max);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_min);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 86:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(126);
      END_STATE();
    case 89:
      if (lookahead == 'n') ADVANCE(127);
      END_STATE();
    case 90:
      if (lookahead == 'u') ADVANCE(128);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(129);
      END_STATE();
    case 92:
      if (lookahead == 'p') ADVANCE(130);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 94:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_std);
      END_STATE();
    case 96:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 97:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 99:
      if (lookahead == 'f') ADVANCE(136);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 102:
      if (lookahead == 'L') ADVANCE(138);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 104:
      if (lookahead == 'T') ADVANCE(140);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_True);
      END_STATE();
    case 106:
      if (lookahead == 'y') ADVANCE(141);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(143);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(144);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 112:
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(147);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_edge);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_high);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(152);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_mean);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_node);
      if (lookahead == 's') ADVANCE(153);
      END_STATE();
    case 125:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(157);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(158);
      END_STATE();
    case 131:
      if (lookahead == 'c') ADVANCE(159);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(160);
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 134:
      if (lookahead == 'c') ADVANCE(163);
      END_STATE();
    case 135:
      if (lookahead == 's') ADVANCE(164);
      END_STATE();
    case 136:
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 138:
      if (lookahead == 'U') ADVANCE(167);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_False);
      END_STATE();
    case 140:
      if (lookahead == 'I') ADVANCE(168);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_apply);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(169);
      END_STATE();
    case 143:
      if (lookahead == 'g') ADVANCE(170);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_dwell);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 150:
      if (lookahead == 's') ADVANCE(176);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 154:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(182);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 160:
      if (lookahead == 'm') ADVANCE(185);
      END_STATE();
    case 161:
      if (lookahead == 's') ADVANCE(186);
      END_STATE();
    case 162:
      if (lookahead == 'p') ADVANCE(187);
      END_STATE();
    case 163:
      if (lookahead == 'h') ADVANCE(188);
      END_STATE();
    case 164:
      if (lookahead == 'i') ADVANCE(189);
      if (lookahead == 'm') ADVANCE(190);
      END_STATE();
    case 165:
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 167:
      if (lookahead == 'T') ADVANCE(192);
      END_STATE();
    case 168:
      if (lookahead == 'V') ADVANCE(193);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_config);
      END_STATE();
    case 170:
      if (lookahead == 'i') ADVANCE(194);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 172:
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 173:
      if (lookahead == 'b') ADVANCE(197);
      END_STATE();
    case 174:
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 175:
      if (lookahead == 'd') ADVANCE(199);
      END_STATE();
    case 176:
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 178:
      if (lookahead == 'i') ADVANCE(201);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(202);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_normal);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_reduce);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_sample);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(204);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 191:
      if (lookahead == 'm') ADVANCE(208);
      END_STATE();
    case 192:
      if (lookahead == 'E') ADVANCE(209);
      END_STATE();
    case 193:
      if (lookahead == 'E') ADVANCE(210);
      END_STATE();
    case 194:
      if (lookahead == 'o') ADVANCE(211);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(212);
      END_STATE();
    case 197:
      if (lookahead == 'u') ADVANCE(213);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_edgeset);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_enabled);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(214);
      END_STATE();
    case 201:
      if (lookahead == 'v') ADVANCE(215);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_nodeset);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(216);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(217);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(218);
      END_STATE();
    case 206:
      if (lookahead == 'i') ADVANCE(219);
      END_STATE();
    case 207:
      if (lookahead == 's') ADVANCE(220);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_uniform);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_ABSOLUTE);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_RELATIVE);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(221);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_discrete);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 214:
      if (lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 215:
      if (lookahead == 'i') ADVANCE(224);
      END_STATE();
    case 216:
      if (lookahead == 't') ADVANCE(225);
      END_STATE();
    case 217:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 218:
      if (lookahead == 'b') ADVANCE(227);
      END_STATE();
    case 219:
      if (lookahead == 'o') ADVANCE(228);
      END_STATE();
    case 220:
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_contagion);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 224:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_statement);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_statistic);
      END_STATE();
    case 227:
      if (lookahead == 'i') ADVANCE(233);
      END_STATE();
    case 228:
      if (lookahead == 'n') ADVANCE(234);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(235);
      END_STATE();
    case 230:
      if (lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_expression);
      END_STATE();
    case 232:
      if (lookahead == 'y') ADVANCE(237);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_transition);
      END_STATE();
    case 235:
      if (lookahead == 'b') ADVANCE(239);
      if (lookahead == 'o') ADVANCE(240);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_infectivity);
      END_STATE();
    case 238:
      if (lookahead == 'i') ADVANCE(242);
      END_STATE();
    case 239:
      if (lookahead == 'i') ADVANCE(243);
      END_STATE();
    case 240:
      if (lookahead == 'n') ADVANCE(244);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_distribution);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(245);
      END_STATE();
    case 243:
      if (lookahead == 'l') ADVANCE(246);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_transmission);
      END_STATE();
    case 245:
      if (lookahead == 'y') ADVANCE(247);
      END_STATE();
    case 246:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_susceptibility);
      END_STATE();
    case 248:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 249:
      if (lookahead == 'y') ADVANCE(250);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_transmissibility);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 89},
  [2] = {.lex_state = 89},
  [3] = {.lex_state = 89},
  [4] = {.lex_state = 89},
  [5] = {.lex_state = 89},
  [6] = {.lex_state = 89},
  [7] = {.lex_state = 89},
  [8] = {.lex_state = 89},
  [9] = {.lex_state = 89},
  [10] = {.lex_state = 89},
  [11] = {.lex_state = 89},
  [12] = {.lex_state = 89},
  [13] = {.lex_state = 89},
  [14] = {.lex_state = 89},
  [15] = {.lex_state = 89},
  [16] = {.lex_state = 89},
  [17] = {.lex_state = 89},
  [18] = {.lex_state = 89},
  [19] = {.lex_state = 89},
  [20] = {.lex_state = 89},
  [21] = {.lex_state = 89},
  [22] = {.lex_state = 89},
  [23] = {.lex_state = 1},
  [24] = {.lex_state = 89},
  [25] = {.lex_state = 1},
  [26] = {.lex_state = 89},
  [27] = {.lex_state = 89},
  [28] = {.lex_state = 1},
  [29] = {.lex_state = 5},
  [30] = {.lex_state = 5},
  [31] = {.lex_state = 89},
  [32] = {.lex_state = 5},
  [33] = {.lex_state = 1},
  [34] = {.lex_state = 5},
  [35] = {.lex_state = 5},
  [36] = {.lex_state = 5},
  [37] = {.lex_state = 5},
  [38] = {.lex_state = 5},
  [39] = {.lex_state = 5},
  [40] = {.lex_state = 89},
  [41] = {.lex_state = 5},
  [42] = {.lex_state = 5},
  [43] = {.lex_state = 5},
  [44] = {.lex_state = 5},
  [45] = {.lex_state = 5},
  [46] = {.lex_state = 2},
  [47] = {.lex_state = 5},
  [48] = {.lex_state = 2},
  [49] = {.lex_state = 5},
  [50] = {.lex_state = 5},
  [51] = {.lex_state = 89},
  [52] = {.lex_state = 89},
  [53] = {.lex_state = 5},
  [54] = {.lex_state = 5},
  [55] = {.lex_state = 5},
  [56] = {.lex_state = 5},
  [57] = {.lex_state = 5},
  [58] = {.lex_state = 5},
  [59] = {.lex_state = 5},
  [60] = {.lex_state = 5},
  [61] = {.lex_state = 5},
  [62] = {.lex_state = 5},
  [63] = {.lex_state = 5},
  [64] = {.lex_state = 5},
  [65] = {.lex_state = 5},
  [66] = {.lex_state = 5},
  [67] = {.lex_state = 5},
  [68] = {.lex_state = 5},
  [69] = {.lex_state = 5},
  [70] = {.lex_state = 89},
  [71] = {.lex_state = 89},
  [72] = {.lex_state = 89},
  [73] = {.lex_state = 5},
  [74] = {.lex_state = 89},
  [75] = {.lex_state = 5},
  [76] = {.lex_state = 89},
  [77] = {.lex_state = 2},
  [78] = {.lex_state = 89},
  [79] = {.lex_state = 5},
  [80] = {.lex_state = 5},
  [81] = {.lex_state = 5},
  [82] = {.lex_state = 5},
  [83] = {.lex_state = 5},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 5},
  [86] = {.lex_state = 89},
  [87] = {.lex_state = 89},
  [88] = {.lex_state = 5},
  [89] = {.lex_state = 5},
  [90] = {.lex_state = 89},
  [91] = {.lex_state = 5},
  [92] = {.lex_state = 89},
  [93] = {.lex_state = 89},
  [94] = {.lex_state = 5},
  [95] = {.lex_state = 5},
  [96] = {.lex_state = 5},
  [97] = {.lex_state = 5},
  [98] = {.lex_state = 2},
  [99] = {.lex_state = 2},
  [100] = {.lex_state = 9},
  [101] = {.lex_state = 89},
  [102] = {.lex_state = 89},
  [103] = {.lex_state = 89},
  [104] = {.lex_state = 89},
  [105] = {.lex_state = 89},
  [106] = {.lex_state = 2},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 2},
  [109] = {.lex_state = 89},
  [110] = {.lex_state = 89},
  [111] = {.lex_state = 89},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 2},
  [114] = {.lex_state = 9},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 89},
  [118] = {.lex_state = 89},
  [119] = {.lex_state = 89},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 89},
  [122] = {.lex_state = 89},
  [123] = {.lex_state = 89},
  [124] = {.lex_state = 2},
  [125] = {.lex_state = 2},
  [126] = {.lex_state = 2},
  [127] = {.lex_state = 2},
  [128] = {.lex_state = 2},
  [129] = {.lex_state = 89},
  [130] = {.lex_state = 89},
  [131] = {.lex_state = 2},
  [132] = {.lex_state = 2},
  [133] = {.lex_state = 2},
  [134] = {.lex_state = 2},
  [135] = {.lex_state = 89},
  [136] = {.lex_state = 89},
  [137] = {.lex_state = 2},
  [138] = {.lex_state = 89},
  [139] = {.lex_state = 89},
  [140] = {.lex_state = 89},
  [141] = {.lex_state = 2},
  [142] = {.lex_state = 9},
  [143] = {.lex_state = 2},
  [144] = {.lex_state = 2},
  [145] = {.lex_state = 89},
  [146] = {.lex_state = 2},
  [147] = {.lex_state = 2},
  [148] = {.lex_state = 89},
  [149] = {.lex_state = 89},
  [150] = {.lex_state = 89},
  [151] = {.lex_state = 89},
  [152] = {.lex_state = 89},
  [153] = {.lex_state = 89},
  [154] = {.lex_state = 9},
  [155] = {.lex_state = 89},
  [156] = {.lex_state = 89},
  [157] = {.lex_state = 89},
  [158] = {.lex_state = 89},
  [159] = {.lex_state = 89},
  [160] = {.lex_state = 89},
  [161] = {.lex_state = 89},
  [162] = {.lex_state = 89},
  [163] = {.lex_state = 89},
  [164] = {.lex_state = 89},
  [165] = {.lex_state = 89},
  [166] = {.lex_state = 89},
  [167] = {.lex_state = 89},
  [168] = {.lex_state = 89},
  [169] = {.lex_state = 89},
  [170] = {.lex_state = 89},
  [171] = {.lex_state = 89},
  [172] = {.lex_state = 89},
  [173] = {.lex_state = 89},
  [174] = {.lex_state = 89},
  [175] = {.lex_state = 9},
  [176] = {.lex_state = 89},
  [177] = {.lex_state = 9},
  [178] = {.lex_state = 89},
  [179] = {.lex_state = 89},
  [180] = {.lex_state = 9},
  [181] = {.lex_state = 89},
  [182] = {.lex_state = 89},
  [183] = {.lex_state = 89},
  [184] = {.lex_state = 89},
  [185] = {.lex_state = 89},
  [186] = {.lex_state = 89},
  [187] = {.lex_state = 89},
  [188] = {.lex_state = 89},
  [189] = {.lex_state = 89},
  [190] = {.lex_state = 9},
  [191] = {.lex_state = 9},
  [192] = {.lex_state = 9},
  [193] = {.lex_state = 9},
  [194] = {.lex_state = 9},
  [195] = {.lex_state = 10},
  [196] = {.lex_state = 9},
  [197] = {.lex_state = 10},
  [198] = {.lex_state = 5},
  [199] = {.lex_state = 10},
  [200] = {.lex_state = 89},
  [201] = {.lex_state = 89},
  [202] = {.lex_state = 3},
  [203] = {.lex_state = 89},
  [204] = {.lex_state = 89},
  [205] = {.lex_state = 89},
  [206] = {.lex_state = 89},
  [207] = {.lex_state = 89},
  [208] = {.lex_state = 3},
  [209] = {.lex_state = 89},
  [210] = {.lex_state = 3},
  [211] = {.lex_state = 4},
  [212] = {.lex_state = 4},
  [213] = {.lex_state = 89},
  [214] = {.lex_state = 3},
  [215] = {.lex_state = 3},
  [216] = {.lex_state = 89},
  [217] = {.lex_state = 89},
  [218] = {.lex_state = 89},
  [219] = {.lex_state = 5},
  [220] = {.lex_state = 3},
  [221] = {.lex_state = 89},
  [222] = {.lex_state = 89},
  [223] = {.lex_state = 4},
  [224] = {.lex_state = 89},
  [225] = {.lex_state = 89},
  [226] = {.lex_state = 89},
  [227] = {.lex_state = 89},
  [228] = {.lex_state = 89},
  [229] = {.lex_state = 89},
  [230] = {.lex_state = 89},
  [231] = {.lex_state = 3},
  [232] = {.lex_state = 89},
  [233] = {.lex_state = 89},
  [234] = {.lex_state = 89},
  [235] = {.lex_state = 89},
  [236] = {.lex_state = 89},
  [237] = {.lex_state = 89},
  [238] = {.lex_state = 89},
  [239] = {.lex_state = 89},
  [240] = {.lex_state = 89},
  [241] = {.lex_state = 89},
  [242] = {.lex_state = 89},
  [243] = {.lex_state = 89},
  [244] = {.lex_state = 0},
  [245] = {.lex_state = 0},
  [246] = {.lex_state = 0},
  [247] = {.lex_state = 0},
  [248] = {.lex_state = 89},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 89},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 0},
  [254] = {.lex_state = 0},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 0},
  [257] = {.lex_state = 0},
  [258] = {.lex_state = 89},
  [259] = {.lex_state = 89},
  [260] = {.lex_state = 89},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 89},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 89},
  [265] = {.lex_state = 89},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 89},
  [269] = {.lex_state = 89},
  [270] = {.lex_state = 89},
  [271] = {.lex_state = 89},
  [272] = {.lex_state = 0},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 89},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 89},
  [278] = {.lex_state = 89},
  [279] = {.lex_state = 0},
  [280] = {.lex_state = 89},
  [281] = {.lex_state = 89},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 89},
  [284] = {.lex_state = 89},
  [285] = {.lex_state = 89},
  [286] = {.lex_state = 89},
  [287] = {.lex_state = 89},
  [288] = {.lex_state = 89},
  [289] = {.lex_state = 89},
  [290] = {.lex_state = 89},
  [291] = {.lex_state = 89},
  [292] = {.lex_state = 89},
  [293] = {.lex_state = 89},
  [294] = {.lex_state = 89},
  [295] = {.lex_state = 89},
  [296] = {.lex_state = 89},
  [297] = {.lex_state = 89},
  [298] = {.lex_state = 89},
  [299] = {.lex_state = 89},
  [300] = {.lex_state = 5},
  [301] = {.lex_state = 89},
  [302] = {.lex_state = 89},
  [303] = {.lex_state = 89},
  [304] = {.lex_state = 89},
  [305] = {.lex_state = 89},
  [306] = {.lex_state = 89},
  [307] = {.lex_state = 9},
  [308] = {.lex_state = 89},
  [309] = {.lex_state = 9},
  [310] = {.lex_state = 89},
  [311] = {.lex_state = 89},
  [312] = {.lex_state = 89},
  [313] = {.lex_state = 89},
  [314] = {.lex_state = 89},
  [315] = {.lex_state = 89},
  [316] = {.lex_state = 89},
  [317] = {.lex_state = 89},
  [318] = {.lex_state = 89},
  [319] = {.lex_state = 89},
  [320] = {.lex_state = 89},
  [321] = {.lex_state = 89},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 5},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 89},
  [326] = {.lex_state = 89},
  [327] = {.lex_state = 89},
  [328] = {.lex_state = 89},
  [329] = {.lex_state = 89},
  [330] = {.lex_state = 9},
  [331] = {.lex_state = 89},
  [332] = {.lex_state = 89},
  [333] = {.lex_state = 89},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 89},
  [336] = {.lex_state = 89},
  [337] = {.lex_state = 89},
  [338] = {.lex_state = 9},
  [339] = {.lex_state = 5},
  [340] = {.lex_state = 89},
  [341] = {.lex_state = 89},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 5},
  [344] = {.lex_state = 89},
  [345] = {.lex_state = 89},
  [346] = {.lex_state = 9},
  [347] = {.lex_state = 89},
  [348] = {.lex_state = 89},
  [349] = {.lex_state = 89},
  [350] = {.lex_state = 89},
  [351] = {.lex_state = 89},
  [352] = {.lex_state = 89},
  [353] = {.lex_state = 89},
  [354] = {.lex_state = 89},
  [355] = {.lex_state = 89},
  [356] = {.lex_state = 89},
  [357] = {.lex_state = 5},
  [358] = {.lex_state = 89},
  [359] = {.lex_state = 89},
  [360] = {.lex_state = 9},
  [361] = {.lex_state = 89},
  [362] = {.lex_state = 89},
  [363] = {.lex_state = 89},
  [364] = {.lex_state = 89},
  [365] = {.lex_state = 89},
  [366] = {.lex_state = 89},
  [367] = {.lex_state = 89},
  [368] = {.lex_state = 89},
  [369] = {.lex_state = 89},
  [370] = {.lex_state = 89},
  [371] = {.lex_state = 89},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 89},
  [375] = {.lex_state = 89},
  [376] = {.lex_state = 89},
  [377] = {.lex_state = 89},
  [378] = {.lex_state = 89},
  [379] = {.lex_state = 89},
  [380] = {.lex_state = 89},
  [381] = {.lex_state = 5},
  [382] = {.lex_state = 5},
  [383] = {.lex_state = 89},
  [384] = {.lex_state = 89},
  [385] = {.lex_state = 89},
  [386] = {.lex_state = 9},
  [387] = {.lex_state = 89},
  [388] = {.lex_state = 5},
  [389] = {.lex_state = 5},
  [390] = {.lex_state = 5},
  [391] = {.lex_state = 5},
  [392] = {.lex_state = 5},
  [393] = {.lex_state = 89},
  [394] = {.lex_state = 89},
  [395] = {.lex_state = 89},
  [396] = {.lex_state = 89},
  [397] = {.lex_state = 89},
  [398] = {.lex_state = 89},
  [399] = {.lex_state = 89},
  [400] = {.lex_state = 89},
  [401] = {.lex_state = 89},
  [402] = {.lex_state = 89},
  [403] = {.lex_state = 89},
  [404] = {.lex_state = 89},
  [405] = {.lex_state = 89},
  [406] = {.lex_state = 89},
  [407] = {.lex_state = 89},
  [408] = {.lex_state = 89},
  [409] = {.lex_state = 89},
  [410] = {.lex_state = 89},
  [411] = {.lex_state = 89},
  [412] = {.lex_state = 89},
  [413] = {.lex_state = 89},
  [414] = {.lex_state = 89},
  [415] = {.lex_state = 89},
  [416] = {.lex_state = 89},
  [417] = {.lex_state = 89},
  [418] = {.lex_state = 89},
  [419] = {.lex_state = 5},
  [420] = {.lex_state = 89},
  [421] = {.lex_state = 89},
  [422] = {.lex_state = 89},
  [423] = {.lex_state = 89},
  [424] = {.lex_state = 89},
  [425] = {.lex_state = 89},
  [426] = {.lex_state = 89},
  [427] = {.lex_state = 89},
  [428] = {.lex_state = 89},
  [429] = {.lex_state = 89},
  [430] = {.lex_state = 89},
  [431] = {.lex_state = 89},
  [432] = {.lex_state = 89},
  [433] = {.lex_state = 89},
  [434] = {.lex_state = 89},
  [435] = {.lex_state = 89},
  [436] = {.lex_state = 89},
  [437] = {.lex_state = 89},
  [438] = {.lex_state = 89},
  [439] = {.lex_state = 89},
  [440] = {.lex_state = 89},
  [441] = {.lex_state = 5},
  [442] = {.lex_state = 89},
  [443] = {.lex_state = 89},
  [444] = {.lex_state = 9},
  [445] = {.lex_state = 89},
  [446] = {.lex_state = 89},
  [447] = {.lex_state = 89},
  [448] = {.lex_state = 89},
  [449] = {.lex_state = 89},
  [450] = {.lex_state = 89},
  [451] = {.lex_state = 89},
  [452] = {.lex_state = 89},
  [453] = {.lex_state = 89},
  [454] = {.lex_state = 89},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_config] = ACTIONS(1),
    [anon_sym_statistic] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_node] = ACTIONS(1),
    [anon_sym_edge] = ACTIONS(1),
    [sym_edge_annotation] = ACTIONS(1),
    [anon_sym_distribution] = ACTIONS(1),
    [anon_sym_discrete] = ACTIONS(1),
    [anon_sym_p] = ACTIONS(1),
    [anon_sym_v] = ACTIONS(1),
    [anon_sym_normal] = ACTIONS(1),
    [anon_sym_mean] = ACTIONS(1),
    [anon_sym_std] = ACTIONS(1),
    [anon_sym_min] = ACTIONS(1),
    [anon_sym_max] = ACTIONS(1),
    [anon_sym_uniform] = ACTIONS(1),
    [anon_sym_low] = ACTIONS(1),
    [anon_sym_high] = ACTIONS(1),
    [anon_sym_contagion] = ACTIONS(1),
    [aux_sym_contagion_state_type_token1] = ACTIONS(1),
    [anon_sym_susceptibility] = ACTIONS(1),
    [anon_sym_infectivity] = ACTIONS(1),
    [anon_sym_transmissibility] = ACTIONS(1),
    [anon_sym_enabled] = ACTIONS(1),
    [anon_sym_transition] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_dwell] = ACTIONS(1),
    [anon_sym_transmission] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_nodeset] = ACTIONS(1),
    [anon_sym_edgeset] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym___test] = ACTIONS(1),
    [anon_sym_statement] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_sample] = ACTIONS(1),
    [anon_sym_ABSOLUTE] = ACTIONS(1),
    [anon_sym_RELATIVE] = ACTIONS(1),
    [anon_sym_apply] = ACTIONS(1),
    [anon_sym_reduce] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_expression] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_template_block] = ACTIONS(3),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_True] = ACTIONS(1),
    [anon_sym_False] = ACTIONS(1),
    [sym_string] = ACTIONS(1),
    [sym__whitespace] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(418),
    [sym_enum] = STATE(21),
    [sym_global] = STATE(21),
    [sym_node] = STATE(21),
    [sym_edge] = STATE(21),
    [sym_distributions] = STATE(21),
    [sym_contagion] = STATE(21),
    [sym_nodeset] = STATE(21),
    [sym_edgeset] = STATE(21),
    [sym_function] = STATE(21),
    [sym_test_statement] = STATE(21),
    [sym_test_expression] = STATE(21),
    [aux_sym_source_file_repeat1] = STATE(21),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_enum] = ACTIONS(9),
    [anon_sym_global] = ACTIONS(11),
    [anon_sym_config] = ACTIONS(11),
    [anon_sym_statistic] = ACTIONS(11),
    [anon_sym_node] = ACTIONS(13),
    [anon_sym_edge] = ACTIONS(15),
    [anon_sym_distribution] = ACTIONS(17),
    [anon_sym_contagion] = ACTIONS(19),
    [anon_sym_nodeset] = ACTIONS(21),
    [anon_sym_edgeset] = ACTIONS(23),
    [anon_sym_def] = ACTIONS(25),
    [anon_sym___test] = ACTIONS(27),
    [sym_comment] = ACTIONS(3),
    [sym_template_block] = ACTIONS(3),
    [sym__whitespace] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 20,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(31), 1,
      anon_sym_end,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(41), 1,
      anon_sym_elif,
    ACTIONS(43), 1,
      anon_sym_else,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    STATE(404), 1,
      sym_else_section,
    STATE(200), 2,
      sym_elif_section,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [78] = 16,
    ACTIONS(57), 1,
      sym_identifier,
    ACTIONS(62), 1,
      anon_sym_var,
    ACTIONS(65), 1,
      anon_sym_pass,
    ACTIONS(68), 1,
      anon_sym_return,
    ACTIONS(71), 1,
      anon_sym_if,
    ACTIONS(74), 1,
      anon_sym_switch,
    ACTIONS(77), 1,
      anon_sym_while,
    ACTIONS(80), 1,
      anon_sym_select,
    ACTIONS(83), 1,
      anon_sym_sample,
    ACTIONS(86), 1,
      anon_sym_apply,
    ACTIONS(89), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(60), 3,
      anon_sym_end,
      anon_sym_elif,
      anon_sym_else,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [145] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(94), 1,
      anon_sym_var,
    ACTIONS(96), 1,
      anon_sym_pass,
    ACTIONS(98), 1,
      anon_sym_return,
    ACTIONS(100), 1,
      anon_sym_select,
    ACTIONS(102), 1,
      anon_sym_sample,
    ACTIONS(104), 1,
      anon_sym_apply,
    ACTIONS(106), 1,
      anon_sym_print,
    STATE(197), 1,
      sym_reference,
    STATE(266), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(92), 3,
      anon_sym_end,
      anon_sym_case,
      anon_sym_default,
    STATE(6), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [212] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(108), 3,
      anon_sym_end,
      anon_sym_elif,
      anon_sym_else,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [279] = 16,
    ACTIONS(57), 1,
      sym_identifier,
    ACTIONS(71), 1,
      anon_sym_if,
    ACTIONS(74), 1,
      anon_sym_switch,
    ACTIONS(77), 1,
      anon_sym_while,
    ACTIONS(110), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_pass,
    ACTIONS(116), 1,
      anon_sym_return,
    ACTIONS(119), 1,
      anon_sym_select,
    ACTIONS(122), 1,
      anon_sym_sample,
    ACTIONS(125), 1,
      anon_sym_apply,
    ACTIONS(128), 1,
      anon_sym_print,
    STATE(197), 1,
      sym_reference,
    STATE(266), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(60), 3,
      anon_sym_end,
      anon_sym_case,
      anon_sym_default,
    STATE(6), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [346] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    STATE(345), 1,
      sym_function_body,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(11), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [411] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    STATE(367), 1,
      sym_function_body,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(11), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [476] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    ACTIONS(131), 1,
      anon_sym_end,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [541] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    ACTIONS(133), 1,
      anon_sym_end,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [606] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    ACTIONS(135), 1,
      anon_sym_end,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [671] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    ACTIONS(137), 1,
      anon_sym_end,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [736] = 16,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    ACTIONS(139), 1,
      anon_sym_end,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(3), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [801] = 15,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(10), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [863] = 15,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(2), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [925] = 15,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(12), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [987] = 15,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(5), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [1049] = 15,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(94), 1,
      anon_sym_var,
    ACTIONS(96), 1,
      anon_sym_pass,
    ACTIONS(98), 1,
      anon_sym_return,
    ACTIONS(100), 1,
      anon_sym_select,
    ACTIONS(102), 1,
      anon_sym_sample,
    ACTIONS(104), 1,
      anon_sym_apply,
    ACTIONS(106), 1,
      anon_sym_print,
    STATE(197), 1,
      sym_reference,
    STATE(266), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(4), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [1111] = 15,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(13), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [1173] = 15,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(33), 1,
      anon_sym_var,
    ACTIONS(35), 1,
      anon_sym_pass,
    ACTIONS(37), 1,
      anon_sym_return,
    ACTIONS(39), 1,
      anon_sym_if,
    ACTIONS(45), 1,
      anon_sym_switch,
    ACTIONS(47), 1,
      anon_sym_while,
    ACTIONS(49), 1,
      anon_sym_select,
    ACTIONS(51), 1,
      anon_sym_sample,
    ACTIONS(53), 1,
      anon_sym_apply,
    ACTIONS(55), 1,
      anon_sym_print,
    STATE(195), 1,
      sym_reference,
    STATE(261), 1,
      sym_function_call,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(9), 15,
      sym__statement,
      sym_variable,
      sym_pass_statement,
      sym_return_statement,
      sym_if_statement,
      sym_switch_statement,
      sym_while_loop,
      sym_call_statement,
      sym_update_statement,
      sym_select_statement,
      sym_sample_statement,
      sym_apply_statement,
      sym_reduce_statement,
      sym_print_statement,
      aux_sym_function_body_repeat1,
  [1235] = 13,
    ACTIONS(9), 1,
      anon_sym_enum,
    ACTIONS(13), 1,
      anon_sym_node,
    ACTIONS(15), 1,
      anon_sym_edge,
    ACTIONS(17), 1,
      anon_sym_distribution,
    ACTIONS(19), 1,
      anon_sym_contagion,
    ACTIONS(21), 1,
      anon_sym_nodeset,
    ACTIONS(23), 1,
      anon_sym_edgeset,
    ACTIONS(25), 1,
      anon_sym_def,
    ACTIONS(27), 1,
      anon_sym___test,
    ACTIONS(141), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(11), 3,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
    STATE(22), 12,
      sym_enum,
      sym_global,
      sym_node,
      sym_edge,
      sym_distributions,
      sym_contagion,
      sym_nodeset,
      sym_edgeset,
      sym_function,
      sym_test_statement,
      sym_test_expression,
      aux_sym_source_file_repeat1,
  [1290] = 13,
    ACTIONS(143), 1,
      ts_builtin_sym_end,
    ACTIONS(145), 1,
      anon_sym_enum,
    ACTIONS(151), 1,
      anon_sym_node,
    ACTIONS(154), 1,
      anon_sym_edge,
    ACTIONS(157), 1,
      anon_sym_distribution,
    ACTIONS(160), 1,
      anon_sym_contagion,
    ACTIONS(163), 1,
      anon_sym_nodeset,
    ACTIONS(166), 1,
      anon_sym_edgeset,
    ACTIONS(169), 1,
      anon_sym_def,
    ACTIONS(172), 1,
      anon_sym___test,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(148), 3,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
    STATE(22), 12,
      sym_enum,
      sym_global,
      sym_node,
      sym_edge,
      sym_distributions,
      sym_contagion,
      sym_nodeset,
      sym_edgeset,
      sym_function,
      sym_test_statement,
      sym_test_expression,
      aux_sym_source_file_repeat1,
  [1345] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(175), 1,
      anon_sym_DOT,
    STATE(28), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(179), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(177), 16,
      anon_sym_COMMA,
      sym_node_annotation,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [1381] = 5,
    ACTIONS(181), 1,
      anon_sym_DOT,
    STATE(26), 1,
      aux_sym_reference_repeat1,
    ACTIONS(179), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(177), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [1415] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(183), 1,
      anon_sym_DOT,
    STATE(25), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(186), 16,
      anon_sym_COMMA,
      sym_node_annotation,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [1451] = 5,
    ACTIONS(181), 1,
      anon_sym_DOT,
    STATE(27), 1,
      aux_sym_reference_repeat1,
    ACTIONS(192), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(190), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [1485] = 5,
    ACTIONS(194), 1,
      anon_sym_DOT,
    STATE(27), 1,
      aux_sym_reference_repeat1,
    ACTIONS(188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(186), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [1519] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(175), 1,
      anon_sym_DOT,
    STATE(25), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(192), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(190), 16,
      anon_sym_COMMA,
      sym_node_annotation,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [1555] = 12,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(201), 1,
      anon_sym_LBRACK,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(209), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    STATE(279), 1,
      sym_inline_expression_function,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(207), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(115), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1602] = 12,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(217), 1,
      anon_sym_LBRACK,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(225), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    STATE(447), 1,
      sym_inline_expression_function,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(223), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(159), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1649] = 3,
    ACTIONS(188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(186), 17,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [1678] = 12,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(201), 1,
      anon_sym_LBRACK,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(231), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    STATE(249), 1,
      sym_inline_expression_function,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(229), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(133), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1725] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(188), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(186), 17,
      anon_sym_DOT,
      anon_sym_COMMA,
      sym_node_annotation,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [1756] = 12,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(201), 1,
      anon_sym_LBRACK,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(235), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    STATE(282), 1,
      sym_inline_expression_function,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(233), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(137), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1803] = 11,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(239), 1,
      sym_integer,
    ACTIONS(241), 1,
      sym_string,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(237), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(121), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1847] = 11,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(243), 1,
      anon_sym_RPAREN,
    ACTIONS(247), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(245), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(135), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1891] = 11,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(251), 1,
      sym_integer,
    ACTIONS(253), 1,
      sym_string,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(249), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(148), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1935] = 11,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(255), 1,
      anon_sym_RPAREN,
    ACTIONS(259), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(257), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(109), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [1979] = 11,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(263), 1,
      sym_integer,
    ACTIONS(265), 1,
      sym_string,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(261), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(119), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2023] = 4,
    ACTIONS(269), 1,
      anon_sym_LPAREN,
    ACTIONS(271), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(267), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [2053] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(275), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(273), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(161), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2094] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(279), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(277), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(166), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2135] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(283), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(281), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(165), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2176] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(287), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(285), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(164), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2217] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(291), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(289), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(149), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2258] = 12,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(293), 1,
      anon_sym_COMMA,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(353), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(309), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2303] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(313), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(311), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(113), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2344] = 12,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    ACTIONS(315), 1,
      anon_sym_COMMA,
    STATE(400), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(317), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2389] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(321), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(319), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(124), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2430] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(325), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(323), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(169), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2471] = 3,
    ACTIONS(329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(327), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [2498] = 3,
    ACTIONS(333), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(331), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [2525] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(337), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(335), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(72), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2566] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(341), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(339), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(144), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2607] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(345), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(343), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(74), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2648] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(349), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(347), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(78), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2689] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(353), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(351), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(120), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2730] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(357), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(355), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(52), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2771] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(361), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(359), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(107), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2812] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(365), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(363), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(48), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2853] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(369), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(367), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(163), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2894] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(373), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(371), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(92), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2935] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(377), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(375), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(93), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [2976] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(381), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(379), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(141), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3017] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(385), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(383), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(160), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3058] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(389), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(387), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(90), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3099] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(393), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(391), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(106), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3140] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(397), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(395), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(158), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3181] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(401), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(399), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(112), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3222] = 3,
    ACTIONS(405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(403), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3249] = 3,
    ACTIONS(409), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(407), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3276] = 4,
    ACTIONS(415), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 12,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3305] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(419), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(417), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(162), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3346] = 3,
    ACTIONS(415), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(411), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3373] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(423), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(421), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(98), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3414] = 3,
    ACTIONS(427), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(425), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [3441] = 5,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(271), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(267), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [3472] = 8,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_or,
  [3509] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(443), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(441), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(125), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3550] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(447), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(445), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(126), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3591] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(449), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(99), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3632] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(455), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(453), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(128), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3673] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(459), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(457), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(131), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3714] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(463), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(461), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(132), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3755] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(467), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(465), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(167), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3796] = 3,
    ACTIONS(471), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(469), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3823] = 3,
    ACTIONS(475), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(473), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3850] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(479), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(477), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(168), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3891] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(483), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(481), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(46), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [3932] = 5,
    ACTIONS(415), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [3963] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(487), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(485), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(157), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [4004] = 7,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_and,
  [4039] = 6,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [4072] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(491), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(489), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(127), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [4113] = 10,
    ACTIONS(197), 1,
      sym_identifier,
    ACTIONS(199), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_not,
    ACTIONS(495), 1,
      sym_integer,
    STATE(77), 1,
      sym_reference,
    ACTIONS(203), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(211), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(493), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(146), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [4154] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(499), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(497), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(170), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [4195] = 10,
    ACTIONS(213), 1,
      sym_identifier,
    ACTIONS(215), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_not,
    ACTIONS(503), 1,
      sym_integer,
    STATE(40), 1,
      sym_reference,
    ACTIONS(219), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(227), 2,
      anon_sym_True,
      anon_sym_False,
    ACTIONS(501), 2,
      sym_template_variable,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(156), 6,
      sym__expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_parenthesized_expression,
      sym_function_call,
      sym_boolean,
  [4236] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(333), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(331), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [4264] = 8,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 5,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LF,
      anon_sym_SEMI,
  [4300] = 5,
    ACTIONS(188), 1,
      anon_sym_EQ,
    ACTIONS(505), 1,
      anon_sym_DOT,
    STATE(100), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(186), 13,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DASH_GT,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_DASH,
  [4330] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(508), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4354] = 5,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    STATE(102), 1,
      aux_sym_enum_repeat1,
    ACTIONS(515), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(510), 12,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_end,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [4384] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(517), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4408] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(519), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4432] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(521), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4456] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(140), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(523), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4498] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(399), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(525), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4540] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(475), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(473), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [4568] = 11,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(527), 1,
      anon_sym_COMMA,
    ACTIONS(529), 1,
      anon_sym_RPAREN,
    ACTIONS(531), 1,
      anon_sym_or,
    STATE(271), 1,
      aux_sym_function_call_repeat1,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4610] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(533), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4634] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(535), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4658] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(354), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(537), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4700] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(76), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(539), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4742] = 5,
    ACTIONS(192), 1,
      anon_sym_EQ,
    ACTIONS(541), 1,
      anon_sym_DOT,
    STATE(100), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(190), 13,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DASH_GT,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_DASH,
  [4772] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(320), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(543), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4814] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(471), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(469), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [4842] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(545), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4866] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(547), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [4890] = 11,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(549), 1,
      anon_sym_COMMA,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    STATE(274), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4932] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(76), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(539), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4974] = 11,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(549), 1,
      anon_sym_COMMA,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    STATE(264), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5016] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(555), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5040] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(557), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5064] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(359), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(559), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5106] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(415), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 9,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [5138] = 7,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 7,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [5172] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(140), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(523), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5214] = 9,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(301), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 4,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_LF,
      anon_sym_SEMI,
  [5252] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(561), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5276] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(563), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5300] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(415), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(411), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [5328] = 5,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(415), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(411), 11,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [5358] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(192), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(565), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5400] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(329), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(327), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [5428] = 11,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(527), 1,
      anon_sym_COMMA,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(567), 1,
      anon_sym_RPAREN,
    STATE(277), 1,
      aux_sym_function_call_repeat1,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5470] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(569), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5494] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(308), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(571), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5536] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(573), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5560] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(575), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5584] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(577), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5608] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(302), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(579), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5650] = 5,
    ACTIONS(179), 1,
      anon_sym_EQ,
    ACTIONS(541), 1,
      anon_sym_DOT,
    STATE(114), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(177), 13,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DASH_GT,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_DASH,
  [5680] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(409), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(407), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [5708] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(123), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(581), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5750] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(583), 16,
      anon_sym_end,
      anon_sym_var,
      anon_sym_pass,
      anon_sym_return,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_select,
      anon_sym_sample,
      anon_sym_apply,
      anon_sym_print,
      sym_identifier,
  [5774] = 11,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(299), 1,
      anon_sym_or,
    ACTIONS(301), 1,
      anon_sym_and,
    STATE(123), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(295), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(303), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(581), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    ACTIONS(297), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5816] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(405), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(403), 14,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LF,
      anon_sym_SEMI,
  [5844] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5881] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(587), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5918] = 5,
    ACTIONS(591), 1,
      anon_sym_COMMA,
    STATE(151), 1,
      aux_sym_enum_repeat1,
    ACTIONS(593), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(589), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [5947] = 5,
    ACTIONS(591), 1,
      anon_sym_COMMA,
    STATE(102), 1,
      aux_sym_enum_repeat1,
    ACTIONS(597), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(595), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [5976] = 5,
    ACTIONS(591), 1,
      anon_sym_COMMA,
    STATE(102), 1,
      aux_sym_enum_repeat1,
    ACTIONS(601), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(599), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6005] = 3,
    ACTIONS(515), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(510), 13,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6030] = 3,
    ACTIONS(188), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(186), 14,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DASH_GT,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_DASH,
  [6055] = 5,
    ACTIONS(591), 1,
      anon_sym_COMMA,
    STATE(152), 1,
      aux_sym_enum_repeat1,
    ACTIONS(605), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(603), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6084] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(607), 1,
      anon_sym_COLON,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6120] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(609), 1,
      anon_sym_COLON,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6156] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(611), 1,
      anon_sym_COMMA,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6192] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(613), 1,
      anon_sym_COMMA,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6228] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(615), 1,
      anon_sym_end,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6264] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(617), 1,
      anon_sym_RPAREN,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6300] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(619), 1,
      anon_sym_RPAREN,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6336] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(621), 1,
      anon_sym_RPAREN,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6372] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(623), 1,
      anon_sym_COMMA,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6408] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(625), 1,
      anon_sym_COLON,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6444] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(627), 1,
      anon_sym_COLON,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6480] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(629), 1,
      anon_sym_COMMA,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6516] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(631), 1,
      anon_sym_COMMA,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6552] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(633), 1,
      anon_sym_RPAREN,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6588] = 9,
    ACTIONS(433), 1,
      anon_sym_and,
    ACTIONS(531), 1,
      anon_sym_or,
    ACTIONS(635), 1,
      anon_sym_COLON,
    ACTIONS(431), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(439), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(413), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6624] = 3,
    ACTIONS(639), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(637), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6647] = 3,
    ACTIONS(643), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(641), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6670] = 3,
    ACTIONS(647), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(645), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6693] = 3,
    ACTIONS(651), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(649), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6716] = 7,
    ACTIONS(653), 1,
      anon_sym_end,
    ACTIONS(655), 1,
      aux_sym_contagion_state_type_token1,
    ACTIONS(659), 1,
      anon_sym_transition,
    ACTIONS(661), 1,
      anon_sym_transmission,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(657), 4,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
    STATE(177), 5,
      sym_contagion_state_type,
      sym_contagion_function,
      sym_transitions,
      sym_transmissions,
      aux_sym_contagion_repeat1,
  [6747] = 3,
    ACTIONS(665), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(663), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6770] = 7,
    ACTIONS(667), 1,
      anon_sym_end,
    ACTIONS(669), 1,
      aux_sym_contagion_state_type_token1,
    ACTIONS(675), 1,
      anon_sym_transition,
    ACTIONS(678), 1,
      anon_sym_transmission,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(672), 4,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
    STATE(177), 5,
      sym_contagion_state_type,
      sym_contagion_function,
      sym_transitions,
      sym_transmissions,
      aux_sym_contagion_repeat1,
  [6801] = 3,
    ACTIONS(683), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(681), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6824] = 3,
    ACTIONS(687), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(685), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6847] = 7,
    ACTIONS(655), 1,
      aux_sym_contagion_state_type_token1,
    ACTIONS(659), 1,
      anon_sym_transition,
    ACTIONS(661), 1,
      anon_sym_transmission,
    ACTIONS(689), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(657), 4,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
    STATE(175), 5,
      sym_contagion_state_type,
      sym_contagion_function,
      sym_transitions,
      sym_transmissions,
      aux_sym_contagion_repeat1,
  [6878] = 3,
    ACTIONS(693), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(691), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6901] = 3,
    ACTIONS(697), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(695), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6924] = 3,
    ACTIONS(701), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(699), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6947] = 3,
    ACTIONS(705), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(703), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6970] = 3,
    ACTIONS(709), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(707), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [6993] = 3,
    ACTIONS(713), 2,
      anon_sym_node,
      anon_sym_edge,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(711), 11,
      ts_builtin_sym_end,
      anon_sym_enum,
      anon_sym_global,
      anon_sym_config,
      anon_sym_statistic,
      anon_sym_distribution,
      anon_sym_contagion,
      anon_sym_nodeset,
      anon_sym_edgeset,
      anon_sym_def,
      anon_sym___test,
  [7016] = 6,
    ACTIONS(715), 1,
      anon_sym_end,
    ACTIONS(717), 1,
      anon_sym_discrete,
    ACTIONS(719), 1,
      anon_sym_normal,
    ACTIONS(721), 1,
      anon_sym_uniform,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(188), 5,
      sym__distribution,
      sym_discrete_dist,
      sym_normal_dist,
      sym_uniform_dist,
      aux_sym_distributions_repeat1,
  [7041] = 6,
    ACTIONS(717), 1,
      anon_sym_discrete,
    ACTIONS(719), 1,
      anon_sym_normal,
    ACTIONS(721), 1,
      anon_sym_uniform,
    ACTIONS(723), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(189), 5,
      sym__distribution,
      sym_discrete_dist,
      sym_normal_dist,
      sym_uniform_dist,
      aux_sym_distributions_repeat1,
  [7066] = 6,
    ACTIONS(725), 1,
      anon_sym_end,
    ACTIONS(727), 1,
      anon_sym_discrete,
    ACTIONS(730), 1,
      anon_sym_normal,
    ACTIONS(733), 1,
      anon_sym_uniform,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    STATE(189), 5,
      sym__distribution,
      sym_discrete_dist,
      sym_normal_dist,
      sym_uniform_dist,
      aux_sym_distributions_repeat1,
  [7091] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(736), 8,
      anon_sym_end,
      aux_sym_contagion_state_type_token1,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
      anon_sym_transition,
      anon_sym_transmission,
  [7107] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(738), 8,
      anon_sym_end,
      aux_sym_contagion_state_type_token1,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
      anon_sym_transition,
      anon_sym_transmission,
  [7123] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(740), 8,
      anon_sym_end,
      aux_sym_contagion_state_type_token1,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
      anon_sym_transition,
      anon_sym_transmission,
  [7139] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(742), 8,
      anon_sym_end,
      aux_sym_contagion_state_type_token1,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
      anon_sym_transition,
      anon_sym_transmission,
  [7155] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(744), 8,
      anon_sym_end,
      aux_sym_contagion_state_type_token1,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
      anon_sym_transition,
      anon_sym_transmission,
  [7171] = 4,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_LT_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(746), 6,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
  [7191] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(750), 8,
      anon_sym_end,
      aux_sym_contagion_state_type_token1,
      anon_sym_susceptibility,
      anon_sym_infectivity,
      anon_sym_transmissibility,
      anon_sym_enabled,
      anon_sym_transition,
      anon_sym_transmission,
  [7207] = 4,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      anon_sym_LT_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(752), 6,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
  [7227] = 6,
    ACTIONS(756), 1,
      anon_sym_DASH,
    ACTIONS(758), 1,
      sym_integer,
    ACTIONS(760), 1,
      sym_float,
    ACTIONS(762), 2,
      anon_sym_True,
      anon_sym_False,
    STATE(267), 2,
      sym_number,
      sym_boolean,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7250] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(746), 6,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
  [7264] = 6,
    ACTIONS(764), 1,
      anon_sym_end,
    ACTIONS(766), 1,
      anon_sym_elif,
    ACTIONS(768), 1,
      anon_sym_else,
    STATE(446), 1,
      sym_else_section,
    STATE(213), 2,
      sym_elif_section,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7286] = 6,
    ACTIONS(770), 1,
      anon_sym_end,
    ACTIONS(772), 1,
      anon_sym_case,
    ACTIONS(774), 1,
      anon_sym_default,
    STATE(423), 1,
      sym_default_section,
    STATE(206), 2,
      sym_case_section,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7308] = 5,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(776), 1,
      anon_sym_DOT,
    STATE(208), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(190), 3,
      sym_edge_annotation,
      anon_sym_LF,
      anon_sym_SEMI,
  [7327] = 5,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_end,
    STATE(385), 1,
      sym_reference,
    STATE(205), 2,
      sym_transmission,
      aux_sym_transmissions_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7346] = 5,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(780), 1,
      anon_sym_end,
    STATE(386), 1,
      sym_reference,
    STATE(218), 2,
      sym_transition,
      aux_sym_transitions_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7365] = 5,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_end,
    STATE(385), 1,
      sym_reference,
    STATE(216), 2,
      sym_transmission,
      aux_sym_transmissions_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7384] = 4,
    ACTIONS(786), 1,
      anon_sym_case,
    ACTIONS(784), 2,
      anon_sym_end,
      anon_sym_default,
    STATE(206), 2,
      sym_case_section,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7401] = 5,
    ACTIONS(789), 1,
      sym_identifier,
    ACTIONS(792), 1,
      anon_sym_RBRACE,
    STATE(199), 1,
      sym_reference,
    STATE(207), 2,
      sym_update_statement,
      aux_sym_inline_update_function_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7420] = 5,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(794), 1,
      anon_sym_DOT,
    STATE(208), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(186), 3,
      sym_edge_annotation,
      anon_sym_LF,
      anon_sym_SEMI,
  [7439] = 5,
    ACTIONS(797), 1,
      sym_identifier,
    ACTIONS(799), 1,
      anon_sym_RBRACE,
    STATE(199), 1,
      sym_reference,
    STATE(207), 2,
      sym_update_statement,
      aux_sym_inline_update_function_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7458] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(801), 1,
      sym_edge_annotation,
    STATE(215), 1,
      aux_sym_edge_field_repeat1,
    STATE(317), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(803), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [7479] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(805), 1,
      sym_node_annotation,
    STATE(212), 1,
      aux_sym_node_field_repeat1,
    STATE(314), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(807), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [7500] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(809), 1,
      sym_node_annotation,
    STATE(223), 1,
      aux_sym_node_field_repeat1,
    STATE(321), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(811), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [7521] = 4,
    ACTIONS(815), 1,
      anon_sym_elif,
    ACTIONS(813), 2,
      anon_sym_end,
      anon_sym_else,
    STATE(213), 2,
      sym_elif_section,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7538] = 5,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(776), 1,
      anon_sym_DOT,
    STATE(202), 1,
      aux_sym_reference_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(177), 3,
      sym_edge_annotation,
      anon_sym_LF,
      anon_sym_SEMI,
  [7557] = 6,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(818), 1,
      sym_edge_annotation,
    STATE(231), 1,
      aux_sym_edge_field_repeat1,
    STATE(284), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(820), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [7578] = 5,
    ACTIONS(822), 1,
      sym_identifier,
    ACTIONS(825), 1,
      anon_sym_end,
    STATE(385), 1,
      sym_reference,
    STATE(216), 2,
      sym_transmission,
      aux_sym_transmissions_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7597] = 5,
    ACTIONS(29), 1,
      sym_identifier,
    ACTIONS(827), 1,
      anon_sym_end,
    STATE(386), 1,
      sym_reference,
    STATE(204), 2,
      sym_transition,
      aux_sym_transitions_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7616] = 5,
    ACTIONS(829), 1,
      sym_identifier,
    ACTIONS(832), 1,
      anon_sym_end,
    STATE(386), 1,
      sym_reference,
    STATE(218), 2,
      sym_transition,
      aux_sym_transitions_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7635] = 5,
    ACTIONS(834), 1,
      anon_sym_DASH,
    ACTIONS(836), 1,
      sym_integer,
    ACTIONS(838), 1,
      sym_float,
    STATE(362), 1,
      sym_number,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7653] = 3,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(186), 4,
      anon_sym_DOT,
      sym_edge_annotation,
      anon_sym_LF,
      anon_sym_SEMI,
  [7667] = 4,
    ACTIONS(797), 1,
      sym_identifier,
    ACTIONS(840), 1,
      anon_sym_LBRACK,
    STATE(434), 2,
      sym_reference,
      sym_inline_update_function,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7683] = 4,
    ACTIONS(842), 1,
      anon_sym_end,
    ACTIONS(844), 1,
      anon_sym_p,
    STATE(238), 2,
      sym_discrete_pv,
      aux_sym_discrete_dist_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7699] = 5,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(846), 1,
      sym_node_annotation,
    STATE(223), 1,
      aux_sym_node_field_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(849), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [7717] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(851), 4,
      anon_sym_end,
      anon_sym_discrete,
      anon_sym_normal,
      anon_sym_uniform,
  [7729] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(853), 4,
      anon_sym_end,
      anon_sym_discrete,
      anon_sym_normal,
      anon_sym_uniform,
  [7741] = 4,
    ACTIONS(217), 1,
      anon_sym_LBRACK,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(431), 2,
      sym_reference,
      sym_inline_expression_function,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7757] = 4,
    ACTIONS(855), 1,
      anon_sym_end,
    ACTIONS(857), 1,
      anon_sym_p,
    STATE(227), 2,
      sym_discrete_pv,
      aux_sym_discrete_dist_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7773] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(860), 4,
      anon_sym_end,
      anon_sym_discrete,
      anon_sym_normal,
      anon_sym_uniform,
  [7785] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(862), 4,
      anon_sym_end,
      anon_sym_discrete,
      anon_sym_normal,
      anon_sym_uniform,
  [7797] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(864), 4,
      anon_sym_end,
      anon_sym_discrete,
      anon_sym_normal,
      anon_sym_uniform,
  [7809] = 5,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(866), 1,
      sym_edge_annotation,
    STATE(231), 1,
      aux_sym_edge_field_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(869), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [7827] = 4,
    ACTIONS(871), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_end,
    STATE(232), 2,
      sym_node_field,
      aux_sym_node_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7843] = 4,
    ACTIONS(217), 1,
      anon_sym_LBRACK,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(424), 2,
      sym_reference,
      sym_inline_expression_function,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7859] = 4,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(199), 1,
      sym_reference,
    STATE(209), 2,
      sym_update_statement,
      aux_sym_inline_update_function_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7875] = 4,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_end,
    STATE(240), 2,
      sym_edge_field,
      aux_sym_edge_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7891] = 4,
    ACTIONS(880), 1,
      sym_identifier,
    ACTIONS(882), 1,
      anon_sym_end,
    STATE(232), 2,
      sym_node_field,
      aux_sym_node_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7907] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(884), 4,
      anon_sym_end,
      anon_sym_discrete,
      anon_sym_normal,
      anon_sym_uniform,
  [7919] = 4,
    ACTIONS(844), 1,
      anon_sym_p,
    ACTIONS(886), 1,
      anon_sym_end,
    STATE(227), 2,
      sym_discrete_pv,
      aux_sym_discrete_dist_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7935] = 4,
    ACTIONS(217), 1,
      anon_sym_LBRACK,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(402), 2,
      sym_reference,
      sym_inline_expression_function,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7951] = 4,
    ACTIONS(888), 1,
      sym_identifier,
    ACTIONS(891), 1,
      anon_sym_end,
    STATE(240), 2,
      sym_edge_field,
      aux_sym_edge_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7967] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
    ACTIONS(893), 4,
      anon_sym_end,
      anon_sym_discrete,
      anon_sym_normal,
      anon_sym_uniform,
  [7979] = 4,
    ACTIONS(217), 1,
      anon_sym_LBRACK,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(409), 2,
      sym_reference,
      sym_inline_expression_function,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [7995] = 4,
    ACTIONS(797), 1,
      sym_identifier,
    ACTIONS(840), 1,
      anon_sym_LBRACK,
    STATE(410), 2,
      sym_reference,
      sym_inline_update_function,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8011] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(103), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(895), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8026] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(122), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(897), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8041] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(118), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(899), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8056] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(104), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(901), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8071] = 3,
    ACTIONS(772), 1,
      anon_sym_case,
    STATE(201), 2,
      sym_case_section,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8084] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(192), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(565), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8099] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(190), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(903), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8114] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(907), 1,
      anon_sym_RPAREN,
    STATE(265), 1,
      aux_sym_function_params_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8129] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(130), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(909), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8144] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(145), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(911), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8159] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(117), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(913), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8174] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(103), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(895), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8189] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(289), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(915), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8204] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(117), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(913), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8219] = 4,
    ACTIONS(585), 1,
      anon_sym_RPAREN,
    ACTIONS(917), 1,
      anon_sym_COMMA,
    STATE(258), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8234] = 4,
    ACTIONS(591), 1,
      anon_sym_COMMA,
    ACTIONS(920), 1,
      anon_sym_end,
    STATE(102), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8249] = 4,
    ACTIONS(922), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_RPAREN,
    STATE(251), 1,
      sym_function_param,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8264] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(101), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(926), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8279] = 4,
    ACTIONS(587), 1,
      anon_sym_RPAREN,
    ACTIONS(928), 1,
      anon_sym_COMMA,
    STATE(262), 1,
      aux_sym_function_call_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8294] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(145), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(911), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8309] = 4,
    ACTIONS(549), 1,
      anon_sym_COMMA,
    ACTIONS(931), 1,
      anon_sym_RPAREN,
    STATE(258), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8324] = 4,
    ACTIONS(905), 1,
      anon_sym_COMMA,
    ACTIONS(933), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      aux_sym_function_params_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8339] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(101), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(926), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8354] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(184), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(935), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8369] = 4,
    ACTIONS(591), 1,
      anon_sym_COMMA,
    ACTIONS(937), 1,
      anon_sym_end,
    STATE(259), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8384] = 4,
    ACTIONS(549), 1,
      anon_sym_COMMA,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    STATE(264), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8399] = 4,
    ACTIONS(549), 1,
      anon_sym_COMMA,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    STATE(274), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8414] = 4,
    ACTIONS(527), 1,
      anon_sym_COMMA,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
    STATE(262), 1,
      aux_sym_function_call_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8429] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(118), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(899), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8444] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(130), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(909), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8459] = 4,
    ACTIONS(549), 1,
      anon_sym_COMMA,
    ACTIONS(941), 1,
      anon_sym_RPAREN,
    STATE(258), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8474] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(104), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(901), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8489] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(122), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(897), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8504] = 4,
    ACTIONS(527), 1,
      anon_sym_COMMA,
    ACTIONS(943), 1,
      anon_sym_RPAREN,
    STATE(262), 1,
      aux_sym_function_call_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8519] = 4,
    ACTIONS(945), 1,
      anon_sym_COMMA,
    ACTIONS(948), 1,
      anon_sym_RPAREN,
    STATE(278), 1,
      aux_sym_function_params_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8534] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(320), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(543), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8549] = 3,
    ACTIONS(950), 1,
      sym_identifier,
    STATE(235), 2,
      sym_edge_field,
      aux_sym_edge_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8562] = 3,
    ACTIONS(952), 1,
      sym_identifier,
    STATE(236), 2,
      sym_node_field,
      aux_sym_node_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8575] = 4,
    ACTIONS(5), 1,
      sym__whitespace,
    STATE(308), 1,
      sym__terminator,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(571), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [8590] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(445), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8602] = 2,
    ACTIONS(954), 2,
      anon_sym_end,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8612] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(448), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8624] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(444), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8636] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(443), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8648] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(442), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8660] = 2,
    ACTIONS(956), 2,
      anon_sym_end,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8670] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(435), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8682] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(428), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8694] = 2,
    ACTIONS(585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8704] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(427), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8716] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(419), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8728] = 2,
    ACTIONS(958), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8738] = 2,
    ACTIONS(960), 2,
      anon_sym_ABSOLUTE,
      anon_sym_RELATIVE,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8748] = 3,
    ACTIONS(962), 1,
      anon_sym_statement,
    ACTIONS(964), 1,
      anon_sym_expression,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8760] = 3,
    ACTIONS(966), 1,
      anon_sym_LPAREN,
    STATE(307), 1,
      sym_function_params,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8772] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(384), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8784] = 3,
    ACTIONS(968), 1,
      sym_integer,
    ACTIONS(970), 1,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8796] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(391), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8808] = 2,
    ACTIONS(972), 2,
      anon_sym_end,
      anon_sym_p,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8818] = 3,
    ACTIONS(974), 1,
      anon_sym_min,
    ACTIONS(976), 1,
      anon_sym_max,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8830] = 3,
    ACTIONS(978), 1,
      sym_identifier,
    STATE(211), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8842] = 3,
    ACTIONS(980), 1,
      sym_identifier,
    STATE(210), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8854] = 3,
    ACTIONS(978), 1,
      sym_identifier,
    STATE(250), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8866] = 3,
    ACTIONS(982), 1,
      anon_sym_COLON,
    ACTIONS(984), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8878] = 2,
    ACTIONS(986), 2,
      anon_sym_end,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8888] = 2,
    ACTIONS(988), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8898] = 2,
    ACTIONS(990), 2,
      anon_sym_ABSOLUTE,
      anon_sym_RELATIVE,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8908] = 2,
    ACTIONS(992), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8918] = 2,
    ACTIONS(994), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8928] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(365), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8940] = 2,
    ACTIONS(996), 2,
      anon_sym_end,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8950] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(361), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8962] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(368), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8974] = 2,
    ACTIONS(998), 2,
      anon_sym_end,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8984] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(360), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [8996] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(333), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9008] = 2,
    ACTIONS(1000), 2,
      anon_sym_end,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9018] = 2,
    ACTIONS(1002), 2,
      anon_sym_end,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9028] = 3,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(1004), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [9040] = 3,
    ACTIONS(1006), 1,
      sym_integer,
    ACTIONS(1008), 1,
      sym_float,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9052] = 3,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(992), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [9064] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(426), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9076] = 3,
    ACTIONS(922), 1,
      sym_identifier,
    STATE(331), 1,
      sym_function_param,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9088] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(339), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9100] = 3,
    ACTIONS(978), 1,
      sym_identifier,
    STATE(256), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9112] = 3,
    ACTIONS(1010), 1,
      anon_sym_p,
    ACTIONS(1012), 1,
      anon_sym_dwell,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9124] = 2,
    ACTIONS(1014), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9134] = 2,
    ACTIONS(948), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9144] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(351), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9156] = 2,
    ACTIONS(1016), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9166] = 3,
    ACTIONS(5), 1,
      sym__whitespace,
    ACTIONS(3), 2,
      sym_comment,
      sym_template_block,
    ACTIONS(1018), 2,
      anon_sym_LF,
      anon_sym_SEMI,
  [9178] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(356), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9190] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(358), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9202] = 3,
    ACTIONS(797), 1,
      sym_identifier,
    STATE(346), 1,
      sym_reference,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9214] = 2,
    ACTIONS(1020), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9224] = 2,
    ACTIONS(1022), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9233] = 2,
    ACTIONS(1024), 1,
      anon_sym_mean,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9242] = 2,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9251] = 2,
    ACTIONS(1028), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9260] = 2,
    ACTIONS(1030), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9269] = 2,
    ACTIONS(1032), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9278] = 2,
    ACTIONS(1034), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9287] = 2,
    ACTIONS(1036), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9296] = 2,
    ACTIONS(1038), 1,
      anon_sym_high,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9305] = 2,
    ACTIONS(1040), 1,
      anon_sym_std,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9314] = 2,
    ACTIONS(1042), 1,
      anon_sym_v,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9323] = 2,
    ACTIONS(1044), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9332] = 2,
    ACTIONS(1046), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9341] = 2,
    ACTIONS(1048), 1,
      anon_sym_max,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9350] = 2,
    ACTIONS(1050), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9359] = 2,
    ACTIONS(1052), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9368] = 2,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9377] = 2,
    ACTIONS(1056), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9386] = 2,
    ACTIONS(1058), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9395] = 2,
    ACTIONS(1060), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9404] = 2,
    ACTIONS(1062), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9413] = 2,
    ACTIONS(1064), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9422] = 2,
    ACTIONS(1066), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9431] = 2,
    ACTIONS(1068), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9440] = 2,
    ACTIONS(1070), 1,
      anon_sym_reduce,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9449] = 2,
    ACTIONS(1072), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9458] = 2,
    ACTIONS(1074), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9467] = 2,
    ACTIONS(1004), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9476] = 2,
    ACTIONS(1076), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9485] = 2,
    ACTIONS(1078), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9494] = 2,
    ACTIONS(1080), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9503] = 2,
    ACTIONS(1082), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9512] = 2,
    ACTIONS(1084), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9521] = 2,
    ACTIONS(1086), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9530] = 2,
    ACTIONS(1088), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9539] = 2,
    ACTIONS(1018), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9548] = 2,
    ACTIONS(1090), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9557] = 2,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9566] = 2,
    ACTIONS(1094), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9575] = 2,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9584] = 2,
    ACTIONS(1098), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9593] = 2,
    ACTIONS(1100), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9602] = 2,
    ACTIONS(1102), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9611] = 2,
    ACTIONS(1104), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9620] = 2,
    ACTIONS(1106), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9629] = 2,
    ACTIONS(1108), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9638] = 2,
    ACTIONS(1110), 1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9647] = 2,
    ACTIONS(1112), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9656] = 2,
    ACTIONS(1114), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9665] = 2,
    ACTIONS(1116), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9674] = 2,
    ACTIONS(1118), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9683] = 2,
    ACTIONS(1120), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9692] = 2,
    ACTIONS(1122), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9701] = 2,
    ACTIONS(1124), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9710] = 2,
    ACTIONS(1126), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9719] = 2,
    ACTIONS(1128), 1,
      anon_sym_dwell,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9728] = 2,
    ACTIONS(1130), 1,
      anon_sym_low,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9737] = 2,
    ACTIONS(1132), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9746] = 2,
    ACTIONS(1134), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9755] = 2,
    ACTIONS(1136), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9764] = 2,
    ACTIONS(1138), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9773] = 2,
    ACTIONS(1140), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9782] = 2,
    ACTIONS(1142), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9791] = 2,
    ACTIONS(1144), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9800] = 2,
    ACTIONS(1146), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9809] = 2,
    ACTIONS(1148), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9818] = 2,
    ACTIONS(1150), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9827] = 2,
    ACTIONS(1152), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9836] = 2,
    ACTIONS(1154), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9845] = 2,
    ACTIONS(1156), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9854] = 2,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9863] = 2,
    ACTIONS(1160), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9872] = 2,
    ACTIONS(1162), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9881] = 2,
    ACTIONS(1164), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9890] = 2,
    ACTIONS(1166), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9899] = 2,
    ACTIONS(1168), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9908] = 2,
    ACTIONS(1170), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9917] = 2,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9926] = 2,
    ACTIONS(1174), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9935] = 2,
    ACTIONS(1176), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9944] = 2,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9953] = 2,
    ACTIONS(1180), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9962] = 2,
    ACTIONS(1182), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9971] = 2,
    ACTIONS(1184), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9980] = 2,
    ACTIONS(1186), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9989] = 2,
    ACTIONS(1188), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [9998] = 2,
    ACTIONS(1190), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10007] = 2,
    ACTIONS(1192), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10016] = 2,
    ACTIONS(1194), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10025] = 2,
    ACTIONS(1196), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10034] = 2,
    ACTIONS(1198), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10043] = 2,
    ACTIONS(1200), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10052] = 2,
    ACTIONS(1202), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10061] = 2,
    ACTIONS(1204), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10070] = 2,
    ACTIONS(1206), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10079] = 2,
    ACTIONS(1208), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10088] = 2,
    ACTIONS(1210), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10097] = 2,
    ACTIONS(1212), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10106] = 2,
    ACTIONS(1214), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10115] = 2,
    ACTIONS(1216), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10124] = 2,
    ACTIONS(1218), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10133] = 2,
    ACTIONS(1220), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10142] = 2,
    ACTIONS(1222), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10151] = 2,
    ACTIONS(1224), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10160] = 2,
    ACTIONS(1226), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10169] = 2,
    ACTIONS(1228), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10178] = 2,
    ACTIONS(1230), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10187] = 2,
    ACTIONS(1232), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10196] = 2,
    ACTIONS(613), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10205] = 2,
    ACTIONS(1234), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10214] = 2,
    ACTIONS(1236), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10223] = 2,
    ACTIONS(1238), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10232] = 2,
    ACTIONS(1240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10241] = 2,
    ACTIONS(1242), 1,
      anon_sym_reduce,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10250] = 2,
    ACTIONS(1244), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
  [10259] = 2,
    ACTIONS(1246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym_comment,
      sym_template_block,
      sym__whitespace,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 78,
  [SMALL_STATE(4)] = 145,
  [SMALL_STATE(5)] = 212,
  [SMALL_STATE(6)] = 279,
  [SMALL_STATE(7)] = 346,
  [SMALL_STATE(8)] = 411,
  [SMALL_STATE(9)] = 476,
  [SMALL_STATE(10)] = 541,
  [SMALL_STATE(11)] = 606,
  [SMALL_STATE(12)] = 671,
  [SMALL_STATE(13)] = 736,
  [SMALL_STATE(14)] = 801,
  [SMALL_STATE(15)] = 863,
  [SMALL_STATE(16)] = 925,
  [SMALL_STATE(17)] = 987,
  [SMALL_STATE(18)] = 1049,
  [SMALL_STATE(19)] = 1111,
  [SMALL_STATE(20)] = 1173,
  [SMALL_STATE(21)] = 1235,
  [SMALL_STATE(22)] = 1290,
  [SMALL_STATE(23)] = 1345,
  [SMALL_STATE(24)] = 1381,
  [SMALL_STATE(25)] = 1415,
  [SMALL_STATE(26)] = 1451,
  [SMALL_STATE(27)] = 1485,
  [SMALL_STATE(28)] = 1519,
  [SMALL_STATE(29)] = 1555,
  [SMALL_STATE(30)] = 1602,
  [SMALL_STATE(31)] = 1649,
  [SMALL_STATE(32)] = 1678,
  [SMALL_STATE(33)] = 1725,
  [SMALL_STATE(34)] = 1756,
  [SMALL_STATE(35)] = 1803,
  [SMALL_STATE(36)] = 1847,
  [SMALL_STATE(37)] = 1891,
  [SMALL_STATE(38)] = 1935,
  [SMALL_STATE(39)] = 1979,
  [SMALL_STATE(40)] = 2023,
  [SMALL_STATE(41)] = 2053,
  [SMALL_STATE(42)] = 2094,
  [SMALL_STATE(43)] = 2135,
  [SMALL_STATE(44)] = 2176,
  [SMALL_STATE(45)] = 2217,
  [SMALL_STATE(46)] = 2258,
  [SMALL_STATE(47)] = 2303,
  [SMALL_STATE(48)] = 2344,
  [SMALL_STATE(49)] = 2389,
  [SMALL_STATE(50)] = 2430,
  [SMALL_STATE(51)] = 2471,
  [SMALL_STATE(52)] = 2498,
  [SMALL_STATE(53)] = 2525,
  [SMALL_STATE(54)] = 2566,
  [SMALL_STATE(55)] = 2607,
  [SMALL_STATE(56)] = 2648,
  [SMALL_STATE(57)] = 2689,
  [SMALL_STATE(58)] = 2730,
  [SMALL_STATE(59)] = 2771,
  [SMALL_STATE(60)] = 2812,
  [SMALL_STATE(61)] = 2853,
  [SMALL_STATE(62)] = 2894,
  [SMALL_STATE(63)] = 2935,
  [SMALL_STATE(64)] = 2976,
  [SMALL_STATE(65)] = 3017,
  [SMALL_STATE(66)] = 3058,
  [SMALL_STATE(67)] = 3099,
  [SMALL_STATE(68)] = 3140,
  [SMALL_STATE(69)] = 3181,
  [SMALL_STATE(70)] = 3222,
  [SMALL_STATE(71)] = 3249,
  [SMALL_STATE(72)] = 3276,
  [SMALL_STATE(73)] = 3305,
  [SMALL_STATE(74)] = 3346,
  [SMALL_STATE(75)] = 3373,
  [SMALL_STATE(76)] = 3414,
  [SMALL_STATE(77)] = 3441,
  [SMALL_STATE(78)] = 3472,
  [SMALL_STATE(79)] = 3509,
  [SMALL_STATE(80)] = 3550,
  [SMALL_STATE(81)] = 3591,
  [SMALL_STATE(82)] = 3632,
  [SMALL_STATE(83)] = 3673,
  [SMALL_STATE(84)] = 3714,
  [SMALL_STATE(85)] = 3755,
  [SMALL_STATE(86)] = 3796,
  [SMALL_STATE(87)] = 3823,
  [SMALL_STATE(88)] = 3850,
  [SMALL_STATE(89)] = 3891,
  [SMALL_STATE(90)] = 3932,
  [SMALL_STATE(91)] = 3963,
  [SMALL_STATE(92)] = 4004,
  [SMALL_STATE(93)] = 4039,
  [SMALL_STATE(94)] = 4072,
  [SMALL_STATE(95)] = 4113,
  [SMALL_STATE(96)] = 4154,
  [SMALL_STATE(97)] = 4195,
  [SMALL_STATE(98)] = 4236,
  [SMALL_STATE(99)] = 4264,
  [SMALL_STATE(100)] = 4300,
  [SMALL_STATE(101)] = 4330,
  [SMALL_STATE(102)] = 4354,
  [SMALL_STATE(103)] = 4384,
  [SMALL_STATE(104)] = 4408,
  [SMALL_STATE(105)] = 4432,
  [SMALL_STATE(106)] = 4456,
  [SMALL_STATE(107)] = 4498,
  [SMALL_STATE(108)] = 4540,
  [SMALL_STATE(109)] = 4568,
  [SMALL_STATE(110)] = 4610,
  [SMALL_STATE(111)] = 4634,
  [SMALL_STATE(112)] = 4658,
  [SMALL_STATE(113)] = 4700,
  [SMALL_STATE(114)] = 4742,
  [SMALL_STATE(115)] = 4772,
  [SMALL_STATE(116)] = 4814,
  [SMALL_STATE(117)] = 4842,
  [SMALL_STATE(118)] = 4866,
  [SMALL_STATE(119)] = 4890,
  [SMALL_STATE(120)] = 4932,
  [SMALL_STATE(121)] = 4974,
  [SMALL_STATE(122)] = 5016,
  [SMALL_STATE(123)] = 5040,
  [SMALL_STATE(124)] = 5064,
  [SMALL_STATE(125)] = 5106,
  [SMALL_STATE(126)] = 5138,
  [SMALL_STATE(127)] = 5172,
  [SMALL_STATE(128)] = 5214,
  [SMALL_STATE(129)] = 5252,
  [SMALL_STATE(130)] = 5276,
  [SMALL_STATE(131)] = 5300,
  [SMALL_STATE(132)] = 5328,
  [SMALL_STATE(133)] = 5358,
  [SMALL_STATE(134)] = 5400,
  [SMALL_STATE(135)] = 5428,
  [SMALL_STATE(136)] = 5470,
  [SMALL_STATE(137)] = 5494,
  [SMALL_STATE(138)] = 5536,
  [SMALL_STATE(139)] = 5560,
  [SMALL_STATE(140)] = 5584,
  [SMALL_STATE(141)] = 5608,
  [SMALL_STATE(142)] = 5650,
  [SMALL_STATE(143)] = 5680,
  [SMALL_STATE(144)] = 5708,
  [SMALL_STATE(145)] = 5750,
  [SMALL_STATE(146)] = 5774,
  [SMALL_STATE(147)] = 5816,
  [SMALL_STATE(148)] = 5844,
  [SMALL_STATE(149)] = 5881,
  [SMALL_STATE(150)] = 5918,
  [SMALL_STATE(151)] = 5947,
  [SMALL_STATE(152)] = 5976,
  [SMALL_STATE(153)] = 6005,
  [SMALL_STATE(154)] = 6030,
  [SMALL_STATE(155)] = 6055,
  [SMALL_STATE(156)] = 6084,
  [SMALL_STATE(157)] = 6120,
  [SMALL_STATE(158)] = 6156,
  [SMALL_STATE(159)] = 6192,
  [SMALL_STATE(160)] = 6228,
  [SMALL_STATE(161)] = 6264,
  [SMALL_STATE(162)] = 6300,
  [SMALL_STATE(163)] = 6336,
  [SMALL_STATE(164)] = 6372,
  [SMALL_STATE(165)] = 6408,
  [SMALL_STATE(166)] = 6444,
  [SMALL_STATE(167)] = 6480,
  [SMALL_STATE(168)] = 6516,
  [SMALL_STATE(169)] = 6552,
  [SMALL_STATE(170)] = 6588,
  [SMALL_STATE(171)] = 6624,
  [SMALL_STATE(172)] = 6647,
  [SMALL_STATE(173)] = 6670,
  [SMALL_STATE(174)] = 6693,
  [SMALL_STATE(175)] = 6716,
  [SMALL_STATE(176)] = 6747,
  [SMALL_STATE(177)] = 6770,
  [SMALL_STATE(178)] = 6801,
  [SMALL_STATE(179)] = 6824,
  [SMALL_STATE(180)] = 6847,
  [SMALL_STATE(181)] = 6878,
  [SMALL_STATE(182)] = 6901,
  [SMALL_STATE(183)] = 6924,
  [SMALL_STATE(184)] = 6947,
  [SMALL_STATE(185)] = 6970,
  [SMALL_STATE(186)] = 6993,
  [SMALL_STATE(187)] = 7016,
  [SMALL_STATE(188)] = 7041,
  [SMALL_STATE(189)] = 7066,
  [SMALL_STATE(190)] = 7091,
  [SMALL_STATE(191)] = 7107,
  [SMALL_STATE(192)] = 7123,
  [SMALL_STATE(193)] = 7139,
  [SMALL_STATE(194)] = 7155,
  [SMALL_STATE(195)] = 7171,
  [SMALL_STATE(196)] = 7191,
  [SMALL_STATE(197)] = 7207,
  [SMALL_STATE(198)] = 7227,
  [SMALL_STATE(199)] = 7250,
  [SMALL_STATE(200)] = 7264,
  [SMALL_STATE(201)] = 7286,
  [SMALL_STATE(202)] = 7308,
  [SMALL_STATE(203)] = 7327,
  [SMALL_STATE(204)] = 7346,
  [SMALL_STATE(205)] = 7365,
  [SMALL_STATE(206)] = 7384,
  [SMALL_STATE(207)] = 7401,
  [SMALL_STATE(208)] = 7420,
  [SMALL_STATE(209)] = 7439,
  [SMALL_STATE(210)] = 7458,
  [SMALL_STATE(211)] = 7479,
  [SMALL_STATE(212)] = 7500,
  [SMALL_STATE(213)] = 7521,
  [SMALL_STATE(214)] = 7538,
  [SMALL_STATE(215)] = 7557,
  [SMALL_STATE(216)] = 7578,
  [SMALL_STATE(217)] = 7597,
  [SMALL_STATE(218)] = 7616,
  [SMALL_STATE(219)] = 7635,
  [SMALL_STATE(220)] = 7653,
  [SMALL_STATE(221)] = 7667,
  [SMALL_STATE(222)] = 7683,
  [SMALL_STATE(223)] = 7699,
  [SMALL_STATE(224)] = 7717,
  [SMALL_STATE(225)] = 7729,
  [SMALL_STATE(226)] = 7741,
  [SMALL_STATE(227)] = 7757,
  [SMALL_STATE(228)] = 7773,
  [SMALL_STATE(229)] = 7785,
  [SMALL_STATE(230)] = 7797,
  [SMALL_STATE(231)] = 7809,
  [SMALL_STATE(232)] = 7827,
  [SMALL_STATE(233)] = 7843,
  [SMALL_STATE(234)] = 7859,
  [SMALL_STATE(235)] = 7875,
  [SMALL_STATE(236)] = 7891,
  [SMALL_STATE(237)] = 7907,
  [SMALL_STATE(238)] = 7919,
  [SMALL_STATE(239)] = 7935,
  [SMALL_STATE(240)] = 7951,
  [SMALL_STATE(241)] = 7967,
  [SMALL_STATE(242)] = 7979,
  [SMALL_STATE(243)] = 7995,
  [SMALL_STATE(244)] = 8011,
  [SMALL_STATE(245)] = 8026,
  [SMALL_STATE(246)] = 8041,
  [SMALL_STATE(247)] = 8056,
  [SMALL_STATE(248)] = 8071,
  [SMALL_STATE(249)] = 8084,
  [SMALL_STATE(250)] = 8099,
  [SMALL_STATE(251)] = 8114,
  [SMALL_STATE(252)] = 8129,
  [SMALL_STATE(253)] = 8144,
  [SMALL_STATE(254)] = 8159,
  [SMALL_STATE(255)] = 8174,
  [SMALL_STATE(256)] = 8189,
  [SMALL_STATE(257)] = 8204,
  [SMALL_STATE(258)] = 8219,
  [SMALL_STATE(259)] = 8234,
  [SMALL_STATE(260)] = 8249,
  [SMALL_STATE(261)] = 8264,
  [SMALL_STATE(262)] = 8279,
  [SMALL_STATE(263)] = 8294,
  [SMALL_STATE(264)] = 8309,
  [SMALL_STATE(265)] = 8324,
  [SMALL_STATE(266)] = 8339,
  [SMALL_STATE(267)] = 8354,
  [SMALL_STATE(268)] = 8369,
  [SMALL_STATE(269)] = 8384,
  [SMALL_STATE(270)] = 8399,
  [SMALL_STATE(271)] = 8414,
  [SMALL_STATE(272)] = 8429,
  [SMALL_STATE(273)] = 8444,
  [SMALL_STATE(274)] = 8459,
  [SMALL_STATE(275)] = 8474,
  [SMALL_STATE(276)] = 8489,
  [SMALL_STATE(277)] = 8504,
  [SMALL_STATE(278)] = 8519,
  [SMALL_STATE(279)] = 8534,
  [SMALL_STATE(280)] = 8549,
  [SMALL_STATE(281)] = 8562,
  [SMALL_STATE(282)] = 8575,
  [SMALL_STATE(283)] = 8590,
  [SMALL_STATE(284)] = 8602,
  [SMALL_STATE(285)] = 8612,
  [SMALL_STATE(286)] = 8624,
  [SMALL_STATE(287)] = 8636,
  [SMALL_STATE(288)] = 8648,
  [SMALL_STATE(289)] = 8660,
  [SMALL_STATE(290)] = 8670,
  [SMALL_STATE(291)] = 8682,
  [SMALL_STATE(292)] = 8694,
  [SMALL_STATE(293)] = 8704,
  [SMALL_STATE(294)] = 8716,
  [SMALL_STATE(295)] = 8728,
  [SMALL_STATE(296)] = 8738,
  [SMALL_STATE(297)] = 8748,
  [SMALL_STATE(298)] = 8760,
  [SMALL_STATE(299)] = 8772,
  [SMALL_STATE(300)] = 8784,
  [SMALL_STATE(301)] = 8796,
  [SMALL_STATE(302)] = 8808,
  [SMALL_STATE(303)] = 8818,
  [SMALL_STATE(304)] = 8830,
  [SMALL_STATE(305)] = 8842,
  [SMALL_STATE(306)] = 8854,
  [SMALL_STATE(307)] = 8866,
  [SMALL_STATE(308)] = 8878,
  [SMALL_STATE(309)] = 8888,
  [SMALL_STATE(310)] = 8898,
  [SMALL_STATE(311)] = 8908,
  [SMALL_STATE(312)] = 8918,
  [SMALL_STATE(313)] = 8928,
  [SMALL_STATE(314)] = 8940,
  [SMALL_STATE(315)] = 8950,
  [SMALL_STATE(316)] = 8962,
  [SMALL_STATE(317)] = 8974,
  [SMALL_STATE(318)] = 8984,
  [SMALL_STATE(319)] = 8996,
  [SMALL_STATE(320)] = 9008,
  [SMALL_STATE(321)] = 9018,
  [SMALL_STATE(322)] = 9028,
  [SMALL_STATE(323)] = 9040,
  [SMALL_STATE(324)] = 9052,
  [SMALL_STATE(325)] = 9064,
  [SMALL_STATE(326)] = 9076,
  [SMALL_STATE(327)] = 9088,
  [SMALL_STATE(328)] = 9100,
  [SMALL_STATE(329)] = 9112,
  [SMALL_STATE(330)] = 9124,
  [SMALL_STATE(331)] = 9134,
  [SMALL_STATE(332)] = 9144,
  [SMALL_STATE(333)] = 9156,
  [SMALL_STATE(334)] = 9166,
  [SMALL_STATE(335)] = 9178,
  [SMALL_STATE(336)] = 9190,
  [SMALL_STATE(337)] = 9202,
  [SMALL_STATE(338)] = 9214,
  [SMALL_STATE(339)] = 9224,
  [SMALL_STATE(340)] = 9233,
  [SMALL_STATE(341)] = 9242,
  [SMALL_STATE(342)] = 9251,
  [SMALL_STATE(343)] = 9260,
  [SMALL_STATE(344)] = 9269,
  [SMALL_STATE(345)] = 9278,
  [SMALL_STATE(346)] = 9287,
  [SMALL_STATE(347)] = 9296,
  [SMALL_STATE(348)] = 9305,
  [SMALL_STATE(349)] = 9314,
  [SMALL_STATE(350)] = 9323,
  [SMALL_STATE(351)] = 9332,
  [SMALL_STATE(352)] = 9341,
  [SMALL_STATE(353)] = 9350,
  [SMALL_STATE(354)] = 9359,
  [SMALL_STATE(355)] = 9368,
  [SMALL_STATE(356)] = 9377,
  [SMALL_STATE(357)] = 9386,
  [SMALL_STATE(358)] = 9395,
  [SMALL_STATE(359)] = 9404,
  [SMALL_STATE(360)] = 9413,
  [SMALL_STATE(361)] = 9422,
  [SMALL_STATE(362)] = 9431,
  [SMALL_STATE(363)] = 9440,
  [SMALL_STATE(364)] = 9449,
  [SMALL_STATE(365)] = 9458,
  [SMALL_STATE(366)] = 9467,
  [SMALL_STATE(367)] = 9476,
  [SMALL_STATE(368)] = 9485,
  [SMALL_STATE(369)] = 9494,
  [SMALL_STATE(370)] = 9503,
  [SMALL_STATE(371)] = 9512,
  [SMALL_STATE(372)] = 9521,
  [SMALL_STATE(373)] = 9530,
  [SMALL_STATE(374)] = 9539,
  [SMALL_STATE(375)] = 9548,
  [SMALL_STATE(376)] = 9557,
  [SMALL_STATE(377)] = 9566,
  [SMALL_STATE(378)] = 9575,
  [SMALL_STATE(379)] = 9584,
  [SMALL_STATE(380)] = 9593,
  [SMALL_STATE(381)] = 9602,
  [SMALL_STATE(382)] = 9611,
  [SMALL_STATE(383)] = 9620,
  [SMALL_STATE(384)] = 9629,
  [SMALL_STATE(385)] = 9638,
  [SMALL_STATE(386)] = 9647,
  [SMALL_STATE(387)] = 9656,
  [SMALL_STATE(388)] = 9665,
  [SMALL_STATE(389)] = 9674,
  [SMALL_STATE(390)] = 9683,
  [SMALL_STATE(391)] = 9692,
  [SMALL_STATE(392)] = 9701,
  [SMALL_STATE(393)] = 9710,
  [SMALL_STATE(394)] = 9719,
  [SMALL_STATE(395)] = 9728,
  [SMALL_STATE(396)] = 9737,
  [SMALL_STATE(397)] = 9746,
  [SMALL_STATE(398)] = 9755,
  [SMALL_STATE(399)] = 9764,
  [SMALL_STATE(400)] = 9773,
  [SMALL_STATE(401)] = 9782,
  [SMALL_STATE(402)] = 9791,
  [SMALL_STATE(403)] = 9800,
  [SMALL_STATE(404)] = 9809,
  [SMALL_STATE(405)] = 9818,
  [SMALL_STATE(406)] = 9827,
  [SMALL_STATE(407)] = 9836,
  [SMALL_STATE(408)] = 9845,
  [SMALL_STATE(409)] = 9854,
  [SMALL_STATE(410)] = 9863,
  [SMALL_STATE(411)] = 9872,
  [SMALL_STATE(412)] = 9881,
  [SMALL_STATE(413)] = 9890,
  [SMALL_STATE(414)] = 9899,
  [SMALL_STATE(415)] = 9908,
  [SMALL_STATE(416)] = 9917,
  [SMALL_STATE(417)] = 9926,
  [SMALL_STATE(418)] = 9935,
  [SMALL_STATE(419)] = 9944,
  [SMALL_STATE(420)] = 9953,
  [SMALL_STATE(421)] = 9962,
  [SMALL_STATE(422)] = 9971,
  [SMALL_STATE(423)] = 9980,
  [SMALL_STATE(424)] = 9989,
  [SMALL_STATE(425)] = 9998,
  [SMALL_STATE(426)] = 10007,
  [SMALL_STATE(427)] = 10016,
  [SMALL_STATE(428)] = 10025,
  [SMALL_STATE(429)] = 10034,
  [SMALL_STATE(430)] = 10043,
  [SMALL_STATE(431)] = 10052,
  [SMALL_STATE(432)] = 10061,
  [SMALL_STATE(433)] = 10070,
  [SMALL_STATE(434)] = 10079,
  [SMALL_STATE(435)] = 10088,
  [SMALL_STATE(436)] = 10097,
  [SMALL_STATE(437)] = 10106,
  [SMALL_STATE(438)] = 10115,
  [SMALL_STATE(439)] = 10124,
  [SMALL_STATE(440)] = 10133,
  [SMALL_STATE(441)] = 10142,
  [SMALL_STATE(442)] = 10151,
  [SMALL_STATE(443)] = 10160,
  [SMALL_STATE(444)] = 10169,
  [SMALL_STATE(445)] = 10178,
  [SMALL_STATE(446)] = 10187,
  [SMALL_STATE(447)] = 10196,
  [SMALL_STATE(448)] = 10205,
  [SMALL_STATE(449)] = 10214,
  [SMALL_STATE(450)] = 10223,
  [SMALL_STATE(451)] = 10232,
  [SMALL_STATE(452)] = 10241,
  [SMALL_STATE(453)] = 10250,
  [SMALL_STATE(454)] = 10259,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [57] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [60] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0),
  [62] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(380),
  [65] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [68] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [71] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [74] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(97),
  [77] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(42),
  [80] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(379),
  [83] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(378),
  [86] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [89] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(376),
  [92] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_section, 4, 0, 36),
  [94] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [96] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [98] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_section, 4, 0, 25),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(54),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(440),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(425),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_section, 3, 0, 34),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 1, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_section, 3, 0, 34),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(370),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(436),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(421),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(297),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference, 1, 0, 0),
  [179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference, 1, 0, 0),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_reference_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_reference_repeat1, 2, 0, 0),
  [188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_reference_repeat1, 2, 0, 0),
  [190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference, 2, 0, 0),
  [192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference, 2, 0, 0),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_reference_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 16),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 16),
  [407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 17),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 17),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 18),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 18),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_statement, 4, 0, 18),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 4, 0, 18),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 5, 0, 23),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 5, 0, 23),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 22),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 22),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_reference_repeat1, 2, 0, 0), SHIFT_REPEAT(375),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_statement, 2, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_print_statement, 5, 0, 27),
  [519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_apply_statement, 7, 0, 37),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 25),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 30),
  [535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 29),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_print_statement, 6, 0, 32),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sample_statement, 11, 0, 43),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reduce_statement, 11, 0, 44),
  [557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 26),
  [563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 7, 0, 37),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, 0, 31),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_loop, 5, 0, 25),
  [575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 35),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 7, 0, 33),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pass_statement, 2, 0, 0),
  [585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 0),
  [587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_call_repeat1, 2, 0, 0),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_edgeset, 2, 0, 1),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_edgeset, 2, 0, 1),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_edgeset, 3, 0, 3),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_edgeset, 3, 0, 3),
  [599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nodeset, 3, 0, 3),
  [601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nodeset, 3, 0, 3),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nodeset, 2, 0, 1),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nodeset, 2, 0, 1),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distributions, 2, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distributions, 2, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contagion, 4, 0, 5),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contagion, 4, 0, 5),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 8, 0, 24),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 8, 0, 24),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_expression, 5, 0, 13),
  [651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_expression, 5, 0, 13),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 5, 0, 6),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 5, 0, 6),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_contagion_repeat1, 2, 0, 0),
  [669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_contagion_repeat1, 2, 0, 0), SHIFT_REPEAT(306),
  [672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_contagion_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_contagion_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_contagion_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contagion, 3, 0, 1),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contagion, 3, 0, 1),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_statement, 5, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_statement, 5, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 3, 0, 2),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 3, 0, 2),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 19),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 6, 0, 19),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 4),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 4),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global, 7, 0, 21),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global, 7, 0, 21),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_edge, 3, 0, 2),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_edge, 3, 0, 2),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distributions, 3, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distributions, 3, 0, 0),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_distributions_repeat1, 2, 0, 0),
  [727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_distributions_repeat1, 2, 0, 0), SHIFT_REPEAT(407),
  [730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_distributions_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_distributions_repeat1, 2, 0, 0), SHIFT_REPEAT(405),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contagion_state_type, 3, 0, 9),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transmissions, 3, 0, 12),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contagion_function, 3, 0, 11),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transmissions, 2, 0, 0),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transitions, 2, 0, 0),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transitions, 3, 0, 12),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0),
  [786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_update_function_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inline_update_function_repeat1, 2, 0, 0),
  [794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_reference_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(91),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_transmissions_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_transmissions_repeat1, 2, 0, 0),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_transitions_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_transitions_repeat1, 2, 0, 0),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_field_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_node_field_repeat1, 2, 0, 0),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_dist, 15, 0, 47),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_dist, 19, 0, 49),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_discrete_dist_repeat1, 2, 0, 0),
  [857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_discrete_dist_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_discrete_dist, 4, 0, 8),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uniform_dist, 11, 0, 41),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_dist, 11, 0, 40),
  [866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_edge_field_repeat1, 2, 0, 0), SHIFT_REPEAT(231),
  [869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_edge_field_repeat1, 2, 0, 0),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_discrete_dist, 3, 0, 1),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_edge_repeat1, 2, 0, 0), SHIFT_REPEAT(408),
  [891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_edge_repeat1, 2, 0, 0),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_dist, 15, 0, 48),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_call_repeat1, 2, 0, 0), SHIFT_REPEAT(45),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_params_repeat1, 2, 0, 0), SHIFT_REPEAT(326),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_params_repeat1, 2, 0, 0),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_edge_field, 5, 0, 15),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transmission, 6, 0, 28),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_discrete_pv, 8, 0, 38),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transition, 8, 0, 39),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_params, 2, 0, 0),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_expression_function, 10, 0, 42),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node_field, 4, 0, 7),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_edge_field, 4, 0, 7),
  [1000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transition, 12, 0, 45),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node_field, 5, 0, 15),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 14),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_params, 4, 0, 0),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_param, 3, 0, 7),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2, 0, 20),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_params, 3, 0, 0),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_update_function, 8, 0, 46),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1176] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_esl(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
